using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/// <summary>
/// Summary description for ForumPostPage
/// </summary>
public class ForumPostControl : System.Web.UI.UserControl
{
    protected int mPostID = 0;
    protected bool mDisplayEmail = false;
    protected bool mAllowReply = true;
    protected DataRow mPostSrcDataRow = null;
    protected bool isEmpty = true;
    protected bool mEnableSubscription = true;

    public ForumProperties mForumProperties = new ForumProperties();

    /// <summary>
    /// Enable subscription
    /// </summary>
    public bool EnableSubscription
    {
        get { return mEnableSubscription; }
        set { mEnableSubscription = value; }
    }


    /// <summary>
    /// Post Id
    /// </summary>
    public int PostID
    {
        get { return mPostID; }
        set { mPostID = value; }
    }


    /// <summary>
    /// Display email
    /// </summary>
    public bool DisplayEmail
    {
        get { return mDisplayEmail; }
        set { mDisplayEmail = value; }
    }


    /// <summary>
    /// Allow reply
    /// </summary>
    public bool AllowReply
    {
        get { return mAllowReply; }
        set { mAllowReply = value; }
    }


    /// <summary>
    /// DataRow
    /// </summary>
    public DataRow PostSrcDataRow
    {
        get { return mPostSrcDataRow; }
        set { mPostSrcDataRow = value; }
    }

}
