﻿var changed = false;
var allowSubmit = false;
var oldSubmit = null;
var iframes = null;

function AllowChanged(elementId)
{
    if ( window.checkChangedFields == null )
    {
        return true;            
    }
    
    for ( var i = 0; i < checkChangedFields.length; i++ )
    {
        if ( checkChangedFields[i] == elementId )
        {
            return true;
        }
    }
    return false;
}

function Changed()
{
    changed = true;
}

function NotChanged()
{
    changed = false;
}

function AllowSubmit()
{
    allowSubmit = true;
}

function UnloadPage()
{
    if ( DataChanged() && !allowSubmit )
    {
        if ( window.event )
        {
            window.event.returnValue = confirmLeave;
        }
        return false;
    }
}

function SubmitPage()
{
    if ( DataChanged() && !allowSubmit && confirm(confirmSave) )
    {
        changed = false;
        document.getElementById('saveChanges').value = '1';
        if ( oldSubmit )
        {
            oldSubmit();
        }
        return true;
    }
    else
    {
        changed = false;
        if ( oldSubmit )
        {
            oldSubmit();
        }
        return true;
    }
}

function InitChanges()
{
    oldSubmit = theForm.onsubmit;
    theForm.onsubmit = SubmitPage;
    
    for (i = 0; i < theForm.elements.length; i++)
    {
        var elem = theForm.elements[i];
        if ( AllowChanged(elem.id) )
        {
            var check = false;
            switch ( elem.tagName )
            {
                case 'INPUT':
                    check = (elem.type == 'text') || (elem.type == 'checkbox') || (elem.type == 'radio');
                    break;
                    
                case 'TEXTAREA':
                case 'SELECT':
                    check = true;                    
                    break;
            }
            
            if ( check )
            {
                if ( elem.onchange == undefined )
                {
                    elem.onchange = Changed;
                }
                
                //var fnOnChangeOld = (elem.onchange) ? elem.onchange : function () {};
                //elem.onchange = function (){ Changed(); fnOnChangeOld(); };
            }
        }
    }
}

function DataChanged()
{
    return changed || EditorsChanged();
}

function EditorsChanged()
{
    try
    {
        if ( FCKeditorAPI.__Instances != null )
        {
            for ( var name in FCKeditorAPI.__Instances)
            {
                if ( AllowChanged(name) )
                {
                    var oEditor = FCKeditorAPI.__Instances[name];
                    if ( oEditor.IsDirty() )
                    {
                        var oldText = oEditor.GetLinkedFieldValue();
                        var newText = oEditor.GetHTML();
                        if ( oldText != newText )
                        {
                            //alert(oldText + "\n\n\n" + newText);
                            return true;
                        }
                    }
                }
            }
         }
    }
    catch (ex)
    {
    }
    return false;
}

window.onload = InitChanges;
window.onbeforeunload = UnloadPage;