<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Content.aspx.cs" Inherits="CMSDesk_Content_SelectImageDialog_Content"
    Theme="Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>CMSDesk - Select image</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height:100%; 
        }
    </style>
</head>
<body class="<%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel runat="server" ID="pnlBody" SkinID="PageBody">
            <asp:Panel runat="server" ID="pnlContent" SkinID="PageContent">
                <asp:GridView ID="gridDocuments" runat="server" AutoGenerateColumns="false" CellPadding="3"
                    GridLines="Horizontal" SkinID="UniGridGrid" OnRowDataBound="gridDocuments_RowDataBound"
                    Visible="false">
                    <HeaderStyle HorizontalAlign="Left" CssClass="UniGridHead" />
                    <Columns>
                        <asp:BoundField DataField="AttachmentName" />
                        <asp:BoundField DataField="AttachmentSize" />
                        <asp:TemplateField>
                            <ItemTemplate>
                                <asp:HyperLink ID="lnkPreview" runat="server" EnableViewState="false" Target="_blank"
                                    BorderWidth="0">
                                    <asp:Image ID="imgPreview" runat="server" EnableViewState="false" />
                                </asp:HyperLink>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField>
                            <ItemTemplate>
                                <asp:HyperLink ID="lnkPaste" runat="server" EnableViewState="false" />
                            </ItemTemplate>
                        </asp:TemplateField>
                    </Columns>
                </asp:GridView>
                <asp:PlaceHolder ID="pnlDetailView" runat="server" Visible="false">
                    <div style="width: 100%;">
                        <table width="100%">
                            <tr>
                                <td style="width: 100px; white-space: nowrap;">
                                    <asp:Label ID="lblFileName" runat="server"></asp:Label></td>
                                <td>
                                    <asp:Label ID="lblFileNameValue" runat="server"></asp:Label></td>
                            </tr>
                            <tr>
                                <td style="white-space: nowrap;">
                                    <asp:Label ID="lblFileSize" runat="server"></asp:Label></td>
                                <td>
                                    <asp:Label ID="lblFileSizeValue" runat="server"></asp:Label></td>
                            </tr>
                            <tr>
                                <td style="white-space: nowrap;">
                                    <asp:Label ID="lblFilePath" runat="server"></asp:Label></td>
                                <td>
                                    <asp:Label ID="lblFilePathValue" runat="server"></asp:Label></td>
                            </tr>
                            <asp:PlaceHolder ID="plcPaste" runat="server" Visible="false">
                                <tr>
                                    <td colspan="2">
                                        <%--                                <asp:Label ID="lblFileView" runat="server"></asp:Label></td>
                            <td>
--%>
                                        <asp:HyperLink ID="lnkPaste" runat="server" EnableViewState="false" />
                                    </td>
                                </tr>
                            </asp:PlaceHolder>
                            <tr>
                                <td colspan="2">
                                    <asp:HyperLink ID="lnkPreview" runat="server" EnableViewState="false" Target="_blank"
                                        BorderWidth="0">
                                        <asp:Image ID="imgPreview" runat="server" EnableViewState="false" />
                                    </asp:HyperLink>
                                </td>
                            </tr>
                        </table>
                    </div>
                </asp:PlaceHolder>
            </asp:Panel>
        </asp:Panel>

        <script language="javascript" type="text/javascript">
        <!--
            var wopener = parent.wopener;
        
            // Processes the node selection
            function SetUrl(newUrl, selectorId)
            {
                if ( selectorId != '' )
                {
                    wopener.SetUrl(newUrl, selectorId, window.top);                    
                }
                else
                {
                    wopener.SetUrl(newUrl);
                    window.top.close();
                }
            }
            
            // Processes the node selection
            function SetValue(newValue, selectorId)
            {
                if ( selectorId != '' )
                {
                    wopener.SetValue(newValue, selectorId, window.top);
                }
                else
                {
                    wopener.SetUrl(newValue);
                    window.top.close();
                }
            }
        -->
        </script>

    </form>
</body>
</html>
