<%@ Page Language="C#" AutoEventWireup="true" CodeFile="listing.aspx.cs" Inherits="CMSDesk_Content_listing" Theme="Default" %>
<%@ Register Src="../../CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<%@ Register Src="../../CMSAdminControls/UniGrid.ascx" TagName="UniGrid" TagPrefix="uc1" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Content - Listing</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height: 100%;
        }
    </style>
</head>
<body class="<%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel runat="server" ID="pnlBody" SkinID="PageBody">
            <asp:Panel runat="server" ID="pnlTitle" SkinID="PageHeader">
                <uc1:PageTitle ID="titleElem" runat="server" />
            </asp:Panel>
            <asp:Panel ID="pnlParent" runat="server" SkinID="PageHeaderLine">
                <asp:Image ID="imgParent" runat="server" SkinID="NewItemImage" />
                <asp:HyperLink ID="lnkParent" runat="server" SkinID="NewItemLink" />
            </asp:Panel>
            
            <asp:Panel runat="server" ID="pnlContent" SkinID="PageContent">
                <uc1:UniGrid id="gridDocuments" runat="server" GridName="Listing.xml">
                </uc1:UniGrid>
                <asp:Panel ID="pnlFooter" runat="server" SkinID="GridFooter">
                    <asp:LinkButton ID="btnDeleteSelected" runat="server" OnClick="btnDeleteSelected_Click" />
                </asp:Panel>
            </asp:Panel>
        </asp:Panel>
        
        <script type="text/javascript" language="javascript"> 
        <!--
            // Delete item action
            function DeleteItem(nodeId, parentNodeId)
            {
                if ( nodeId != 0 )
                {
                    parent.location.href = "DocumentFrameset.aspx?action=delete&nodeid=" + nodeId;
                    parent.parent.frames['contenttree'].RefreshNode(parentNodeId, nodeId);
                    //parent.frames['contentrequest'].location.href = "request.aspx?action=delete&nodeid=" + GetSelectedNodeId();
                }
            }
            
            // Edit item action
            function EditItem(nodeId, parentNodeId)
            {
                if ( nodeId != 0 )
                {
                    parent.parent.frames['contentmenu'].SelectNode(nodeId);
                    parent.parent.frames['contentmenu'].SetMode('edit');
                    parent.parent.frames['contenttree'].RefreshNode(parentNodeId, nodeId);
                    //parent.location.href = "DocumentFrameset.aspx?nodeid=" + nodeId;
                }
            }
            
            // Select item action
            function SelectItem(nodeId, parentNodeId)
            {
                if ( nodeId != 0 )
                {
                    parent.parent.frames['contentmenu'].SelectNode(nodeId);
                    parent.parent.frames['contenttree'].RefreshNode(parentNodeId, nodeId);
                    //parent.location.href = "DocumentFrameset.aspx?action=listing&nodeid=" + nodeId;
                }
            }
        -->
        </script>

    </form>
</body>
</html>
