<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Customer_New.aspx.cs" Inherits="CMSDesk_Tools_Ecommerce_Customers_Customers_Edit"
    Theme="Default" %>

<%@ Register Src="~/CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<%@ Register Src="~/CMSFormControls/CountrySelector.ascx" TagName="CountrySelector"
    TagPrefix="uc2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Customer - New</title>
    <style type="text/css">
		body
		{
			margin: 0px;
			padding: 0px;
			height:100%; 
		}
	</style>
</head>
<body class="<%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel ID="pnlBody" runat="server" SkinID="TabsPageBody">
            <asp:Panel runat="server" ID="pnlScroll" SkinID="TabsPageScrollArea">
                <asp:Panel ID="pnlManufacturers" runat="server" SkinID="TabsPageContent">
                    <asp:Panel ID="pnlHeader" runat="server" SkinID="PageHeader">
                        <uc1:PageTitle ID="PageTitle" runat="server" />
                    </asp:Panel>
                    <asp:Panel ID="pblContent" runat="server" SkinID="PageContent">
                        <asp:Label runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false"
                            Visible="false" />
                        <asp:Label runat="server" ID="lblError" SkinID="ErrorLabel" EnableViewState="false"
                            Visible="false" />
                        <table style="vertical-align: top">
                            
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblCustomerFirstName" EnableViewState="false" /></td>
                                <td>
                                    <asp:TextBox ID="txtCustomerFirstName" runat="server" SkinID="TextboxField" MaxLength="200" /></td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblCustomerLastName" EnableViewState="false" /></td>
                                <td>
                                    <asp:TextBox ID="txtCustomerLastName" runat="server" SkinID="TextboxField" MaxLength="200" /></td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblCustomerCompany" EnableViewState="false" /></td>
                                <td>
                                    <asp:TextBox ID="txtCustomerCompany" runat="server" SkinID="TextboxField" MaxLength="200" /></td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblCountry" EnableViewState="false" /></td>
                                <td>
                                    <uc2:CountrySelector ID="drpCountry" runat="server" UseCodeNameForSelection="false" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblCustomerEnabled" EnableViewState="false" /></td>
                                <td>
                                    <asp:CheckBox ID="chkCustomerEnabled" runat="server" SkinID="CheckBoxMovedLeft" Checked="true" /></td>
                            </tr>
                            <tr>
                                <td>
                                </td>
                                <td>
                                    <br />
                                    <asp:Button runat="server" ID="btnOK" OnClick="btnOK_Click" EnableViewState="false"
                                        SkinID="ContentButton" /></td>
                            </tr>
                        </table>
                    </asp:Panel>
                </asp:Panel>
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
