<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Order_Edit_Address.aspx.cs"
    Inherits="CMSDesk_Tools_Ecommerce_Orders_Order_Edit_Address" Theme="Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<%@ Register Src="~/CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<%@ Register Src="~/CMSAdminControls/UniGrid.ascx" TagName="UniGrid" TagPrefix="uc2" %>
<%@ Register Src="~/CMSFormControls/CountrySelector.ascx" TagName="CountrySelector"
    TagPrefix="uc2" %>
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Discount edit product</title>
    <style type="text/css">
		body
		{
			margin: 0px;
			padding: 0px;
			height:100%; 
		}
	</style>
    <base target="_self" />

    <script language="javascript" type="text/javascript">
    <!--
       var wopener = window.dialogArguments;
       if ( wopener == null )
       {
            wopener = opener;
       }
    -->
    </script>

</head>
<body class="<%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel ID="pnlBody" runat="server" SkinID="PageBody">
            <asp:Panel ID="pnlTitle" runat="server" SkinID="PageHeader">
                <uc1:PageTitle ID="PageTitleAddProduct" runat="server" />
                <br />
            </asp:Panel>
            <div style="height: 350px; overflow: auto;">
                <asp:Label runat="server" ID="lblError" SkinID="ErrorLabel" EnableViewState="false"
                    Visible="false" />
                <table style="vertical-align: top">
                    <tr>
                        <td class="FieldLabel">
                            <asp:Label runat="server" ID="lblAddressEnabled" EnableViewState="false" /></td>
                        <td>
                            <asp:CheckBox ID="chkAddressEnabled" runat="server" SkinID="CheckBoxMovedLeft" Checked="true" /></td>
                        <td>
                            &nbsp;</td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label runat="server" ID="lblPersonalName" EnableViewState="false" />
                        </td>
                        <td>
                            <asp:TextBox ID="txtPersonalName" runat="server" SkinID="TextboxField" MaxLength="200" />
                        </td>
                        <td>
                            <asp:RequiredFieldValidator ID="rqvPersonalName" runat="server" ControlToValidate="txtPersonalName"
                                ValidationGroup="Address" />
                        </td>
                    </tr>
                    <tr>
                        <td class="FieldLabel" valign="top">
                            <asp:Label runat="server" ID="lblAddressLine1" EnableViewState="false" /></td>
                        <td>
                            <table border="0" cellpadding="0" cellspacing="0">
                                <tr>
                                    <td>
                                        <asp:TextBox ID="txtAddressLine1" runat="server" SkinID="TextboxField" MaxLength="100" />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:TextBox ID="txtAddressLine2" runat="server" SkinID="TextboxField" MaxLength="100" />
                                    </td>
                                </tr>
                            </table>
                        </td>
                        <td valign="top">
                            <asp:RequiredFieldValidator ID="rqvLine" runat="server" ControlToValidate="txtAddressLine1"
                                ValidationGroup="Address" /></td>
                    </tr>
                    <tr>
                        <td class="FieldLabel">
                            <asp:Label runat="server" ID="lblAddressCity" EnableViewState="false" /></td>
                        <td>
                            <asp:TextBox ID="txtAddressCity" runat="server" SkinID="TextboxField" MaxLength="100" /></td>
                        <td>
                            <asp:RequiredFieldValidator ID="rqvCity" runat="server" ControlToValidate="txtAddressCity"
                                ValidationGroup="Address" /></td>
                    </tr>
                    <tr>
                        <td class="FieldLabel">
                            <asp:Label runat="server" ID="lblAddressZip" EnableViewState="false" /></td>
                        <td>
                            <asp:TextBox ID="txtAddressZip" runat="server" SkinID="TextboxField" MaxLength="20" /></td>
                        <td>
                            <asp:RequiredFieldValidator ID="rqvZipCode" runat="server" ValidationGroup="Address"
                                ControlToValidate="txtAddressZip" Display="Dynamic" />
                        </td>
                    </tr>
                    <tr>
                        <td class="FieldLabel">
                            <asp:Label runat="server" ID="lblAddressCountry" EnableViewState="false" />
                        </td>
                        <td>
                            <uc2:CountrySelector ID="ucCountrySelector" runat="server" UseCodeNameForSelection="false" />
                        </td>
                        <td>
                            &nbsp;</td>
                    </tr>
                    <tr>
                        <td class="FieldLabel">
                            <asp:Label runat="server" ID="lblAddressDeliveryPhone" EnableViewState="false" /></td>
                        <td>
                            <asp:TextBox ID="txtAddressDeliveryPhone" runat="server" SkinID="TextboxField" MaxLength="100" /></td>
                        <td>
                            &nbsp;</td>
                    </tr>
                </table>
            </div>
            <div class="FloatRight">
                <asp:Button ID="btnOK" SkinID="contentbutton" OnClick="btnOK_Click" ValidationGroup="Address" runat="server" />
                <asp:Button ID="btnCancel" SkinID="contentbutton" runat="server" OnClientClick="window.close();" />
            </div>
        </asp:Panel>
        <asp:Literal ID="ltlScript" runat="server"></asp:Literal>
    </form>
</body>
</html>
