<%@ Page Language="C#" AutoEventWireup="true" CodeFile="tree.aspx.cs" Inherits="CMSDesk_Tools_Staging_Tasks_tree"
    EnableEventValidation="false" Theme="Default" %>
<%@ Register Src="~/CMSAdminControls/FrameResizer.ascx" TagName="FrameResizer"
    TagPrefix="uc2" %>
<%@ Register Src="~/CMSDesk/Content/ContentTree.ascx" TagName="ContentTree" TagPrefix="uc1" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Content - Tree</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height:100%; 
            width: 100%;
            overflow: hidden;
        }
    </style>
</head>
<body class="TreeBody <%=mBodyClass%>">
    <form id="form1" runat="server">
        <uc2:FrameResizer ID="frmResizer" runat="server" MinSize="6,*" FramesetName="colsFrameset" />
        <asp:Panel runat="server" ID="pnlBody" SkinID="ContentTree">
            <asp:Panel runat="server" ID="pnlBorder" SkinID="TreeBorder">
                &nbsp;</asp:Panel>
            <div class="TreeArea">
                <div class="TreeAreaTree">
                    <uc1:ContentTree ID="treeContent" runat="server" MaxTreeNodes="1000" />
                </div>
            </div>                
        </asp:Panel>

        <script type="text/javascript" language="javascript">
        <!--
            var currentNode = document.getElementById('treeSelectedNode');
            var currentNodeId = 0;
        
            // Refresh node action
            function RefreshNode(nodeId, selectNodeId)
            {
                if ( selectNodeId == null )
                {
                    selectNodeId = currentNodeId;
                }
                document.location.replace( treeUrl + "?expandnodeid=" + nodeId + "&nodeid=" + selectNodeId );
                //TreeView_ToggleNode(treeContent_treeElem_Data,0,treeContent_treeElemn0,'-',treeContent_treeElemn0Nodes);
                //TreeView_ToggleNode(treeContent_treeElem_Data,0,treeContent_treeElemn0,'-',treeContent_treeElemn0Nodes);
            }
            
            // Select node action
            function SelectNode(nodeId, nodeElem)
            {
                if ( (currentNode != null) && (nodeElem != null) )
                {
                    currentNode.className = 'ContentTreeItem';
                }
                
                parent.frames['tasksHeader'].SelectNode(nodeId);
                currentNodeId = nodeId;
                
                if ( nodeElem != null )
                {
                    currentNode = nodeElem;
                    if ( currentNode != null )
                    {
                        currentNode.className = 'ContentTreeSelectedItem';
                    }
                }
            }    
        -->
        </script>

        <asp:Literal ID="ltlScript" runat="server" EnableViewState="false"></asp:Literal>
    </form>
</body>
</html>
