<%@ Control Language="C#" AutoEventWireup="true" CodeFile="MyDetails.ascx.cs" Inherits="CMSEcommerce_MyDetails" %>

<%@ Register Src="~/CMSFormControls/CurrencySelector.ascx" TagName="CurrencySelector"
    TagPrefix="uc1" %>
<%@ Register Src="~/CMSFormControls/CountrySelector.ascx" TagName="CountrySelector"
    TagPrefix="uc2" %>
<%@ Register Src="~/CMSFormControls/PaymentSelector.ascx" TagName="PaymentSelector"
    TagPrefix="uc3" %>
<%@ Register Src="~/CMSFormControls/ShippingSelector.ascx" TagName="ShippingSelector"
    TagPrefix="uc4" %>
    
<asp:Panel ID="pnlMyDetails" runat="server" DefaultButton="btnOK">
    <asp:Label runat="server" ID="lblInfo" EnableViewState="false" Visible="false" />
    <asp:Label runat="server" ID="lblError" EnableViewState="false" Visible="false" ForeColor="Red" />
    <table style="vertical-align: top">
        <tr>
            <td>
                <asp:Label runat="server" ID="lblCustomerFirstName" EnableViewState="false" /></td>
            <td>
                <asp:TextBox ID="txtCustomerFirstName" runat="server" MaxLength="200" CssClass="TextBoxField" /></td>
        </tr>
        <tr>
            <td>
                <asp:Label runat="server" ID="lblCustomerLastName" EnableViewState="false" /></td>
            <td>
                <asp:TextBox ID="txtCustomerLastName" runat="server" MaxLength="200" CssClass="TextBoxField" /></td>
        </tr>
        <tr>
            <td>
                <asp:Label runat="server" ID="lblCustomerCompany" EnableViewState="false" /></td>
            <td>
                <asp:TextBox ID="txtCustomerCompany" runat="server" MaxLength="200" CssClass="TextBoxField" /></td>
        </tr>
        <tr>
            <td>
                <asp:Label runat="server" ID="lblCustomerEmail" EnableViewState="false" /></td>
            <td>
                <asp:TextBox ID="txtCustomerEmail" runat="server" MaxLength="200" CssClass="TextBoxField" /></td>
        </tr>
        <tr>
            <td>
                <asp:Label runat="server" ID="lblCustomerPhone" EnableViewState="false" /></td>
            <td>
                <asp:TextBox ID="txtCustomerPhone" runat="server" MaxLength="50" CssClass="TextBoxField" /></td>
        </tr>
        <tr>
            <td>
                <asp:Label runat="server" ID="lblCustomerFax" EnableViewState="false" /></td>
            <td>
                <asp:TextBox ID="txtCustomerFax" runat="server" MaxLength="50" CssClass="TextBoxField" /></td>
        </tr>
        <tr>
            <td>
                <asp:Label runat="server" ID="lblCustomerPreferredCurrency" EnableViewState="false" /></td>
            <td>
                <uc1:CurrencySelector ID="drpCurrency" runat="server" AddNoneRecord="true" CheckUser="true"  />
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label runat="server" ID="lblCustomerPrefferedPaymentOption" EnableViewState="false" /></td>
            <td>
                <uc3:PaymentSelector ID="drpPayment" runat="server" AddNoneRecord="true" />
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label runat="server" ID="lblCustomerPreferredShippingOption" EnableViewState="false" /></td>
            <td>
                <uc4:ShippingSelector ID="drpShipping" runat="server" AddNoneRecord="true" />
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label runat="server" ID="lblCustomerCountry" EnableViewState="false" /></td>
            <td>
                <uc2:CountrySelector ID="drpCountry" runat="server" AddNoneRecord="true" UseCodeNameForSelection="false" />
            </td>
        </tr>
        <asp:PlaceHolder ID="plhOrganizationID" runat="server" EnableViewState="false">
        <tr>
            <td>
                <asp:Label runat="server" ID="lblOrganizationID" EnableViewState="false" /></td>
            <td>
                <asp:TextBox ID="txtOraganizationID" runat="server" MaxLength="50" CssClass="TextBoxField" /></td>
        </tr>
        </asp:PlaceHolder>
        <asp:PlaceHolder ID="plhTaxRegistrationID" runat="server" EnableViewState="false">
        <tr>
            <td>
                <asp:Label runat="server" ID="lblTaxRegistrationID" EnableViewState="false" /></td>
            <td>
                <asp:TextBox ID="txtTaxRegistrationID" runat="server" MaxLength="50" CssClass="TextBoxField" /></td>
        </tr>
        </asp:PlaceHolder>
        <tr>
            <td></td>
            <td>
                <br />
                <asp:Button runat="server" ID="btnOK" OnClick="btnOK_Click" EnableViewState="false" CssClass="ContentButton" />
            </td>
        </tr>
    </table>
</asp:Panel>
