<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ShoppingCartOrderAddresses.ascx.cs"
    Inherits="CMSEcommerce_ShoppingCartOrderAddresses" %>
<%@ Register Src="../CMSFormControls/CountrySelector.ascx" TagName="CountrySelector"
    TagPrefix="uc1" %>
<asp:Label ID="lblBillingTitle" runat="server" CssClass="BlockTitle" EnableViewState="false" />    
<asp:Label ID="lblError" runat="server" Visible="false" CssClass="ErrorLabel" EnableViewState="false" />
<div class="BlockContent">
    <table id="billingAddrTable" style="vertical-align: top">
        <asp:PlaceHolder ID="plhBillAddr" runat="server" Visible="false">
            <tr>
                <%--Billing address--%>
                <td class="FieldLabel">
                    <asp:Label ID="lblBillingAddr" runat="server" CssClass="ContentLabel" EnableViewState="false" /></td>
                <td>
                    <asp:DropDownList ID="drpBillingAddr" runat="server" CssClass="DropDownField" AutoPostBack="true"
                        DataTextField="AddressName" DataValueField="AddressID" /></td>
            </tr>
        </asp:PlaceHolder>
        <tr>
            <%--Billing address name--%>
            <td class="FieldLabel">
                <asp:Label ID="lblBillingName" runat="server" CssClass="ContentLabel" EnableViewState="false" /></td>
            <td>
                <asp:TextBox ID="txtBillingName" runat="server" CssClass="TextboxField" MaxLength="200" /></td>
        </tr>
        <tr>
            <%--Billing address lines--%>
            <td class="FieldLabel" style="vertical-align: top">
                <asp:Label ID="lblBillingAddrLine" runat="server" CssClass="ContentLabel" EnableViewState="false" /></td>
            <td>
                <table border="0" cellpadding="0" cellspacing="0">
                    <tr>
                        <td>
                            <asp:TextBox ID="txtBillingAddr1" runat="server" CssClass="TextboxField" MaxLength="100" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:TextBox ID="txtBillingAddr2" runat="server" CssClass="TextboxField" MaxLength="100" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <%--Billing city--%>
            <td class="FieldLabel">
                <asp:Label ID="lblBillingCity" runat="server" CssClass="ContentLabel" EnableViewState="false" /></td>
            <td>
                <asp:TextBox ID="txtBillingCity" runat="server" CssClass="TextboxField" MaxLength="100" /></td>
        </tr>
        <tr>
            <%--Billing ZIP--%>
            <td class="FieldLabel">
                <asp:Label ID="lblBillingZip" runat="server" CssClass="ContentLabel" EnableViewState="false" /></td>
            <td>
                <asp:TextBox ID="txtBillingZip" runat="server" CssClass="TextboxField" MaxLength="20" /></td>
        </tr>
        <tr>
            <%--Billing country and state--%>
            <td class="FieldLabel">
                <asp:Label ID="lblBillingCountry" runat="server" CssClass="ContentLabel" EnableViewState="false" /></td>
            <td>
                <uc1:CountrySelector ID="CountrySelector1" runat="server" UseCodeNameForSelection="false" />
            </td>
        </tr>
        <tr>
            <%--Billing phone--%>
            <td class="FieldLabel">
                <asp:Label ID="lblBillingPhone" runat="server" CssClass="ContentLabel" EnableViewState="false" /></td>
            <td>
                <asp:TextBox ID="txtBillingPhone" runat="server" CssClass="TextboxField" MaxLength="100" /></td>
        </tr>
    </table>
</div>
<div class="BlockContent">
    <asp:CheckBox ID="chkShippingAddr" runat="server" Checked="false" OnCheckedChanged="chkShippingAddr_CheckedChanged"
        AutoPostBack="true" />
</div>
<asp:PlaceHolder ID="plhShipping" runat="server" Visible="false">
    <asp:Label ID="lblShippingTitle" runat="server" CssClass="BlockTitle" EnableViewState="false" />
    <div class="BlockContent">
        <table id="shippingAddrTable" style="vertical-align: top">
            <asp:PlaceHolder ID="plhShippAddr" runat="server" Visible="false">
                <tr>
                    <%--Shipping address--%>
                    <td class="FieldLabel">
                        <asp:Label ID="lblShippingAddr" runat="server" CssClass="ContentLabel" EnableViewState="false" /></td>
                    <td>
                        <asp:DropDownList ID="drpShippingAddr" runat="server" CssClass="DropDownField" AutoPostBack="true"
                            DataTextField="AddressName" DataValueField="AddressID" /></td>
                </tr>
            </asp:PlaceHolder>
            <tr>
                <%--Shipping address name--%>
                <td class="FieldLabel">
                    <asp:Label ID="lblShippingName" runat="server" CssClass="ContentLabel" EnableViewState="false" /></td>
                <td>
                    <asp:TextBox ID="txtShippingName" runat="server" CssClass="TextboxField" MaxLength="200" /></td>
            </tr>
            <tr>
                <%--Shipping address lines--%>
                <td class="FieldLabel" style="vertical-align: top">
                    <asp:Label ID="lblShippingAddrLine" runat="server" CssClass="ContentLabel" EnableViewState="false" /></td>
                <td>
                    <table border="0" cellpadding="0" cellspacing="0">
                        <tr>
                            <td>
                                <asp:TextBox ID="txtShippingAddr1" runat="server" CssClass="TextboxField" MaxLength="100" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:TextBox ID="txtShippingAddr2" runat="server" CssClass="TextboxField" MaxLength="100" />
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <%--Shipping city--%>
                <td class="FieldLabel">
                    <asp:Label ID="lblShippingCity" runat="server" CssClass="ContentLabel" EnableViewState="false" /></td>
                <td>
                    <asp:TextBox ID="txtShippingCity" runat="server" CssClass="TextboxField" MaxLength="100" /></td>
            </tr>
            <tr>
                <%--Shipping ZIP--%>
                <td class="FieldLabel">
                    <asp:Label ID="lblShippingZip" runat="server" CssClass="ContentLabel" EnableViewState="false" /></td>
                <td>
                    <asp:TextBox ID="txtShippingZip" runat="server" CssClass="TextboxField" MaxLength="20" /></td>
            </tr>
            <tr>
                <%--Shipping country--%>
                <td class="FieldLabel">
                    <asp:Label ID="lblShippingCountry" runat="server" CssClass="ContentLabel" EnableViewState="false" /></td>
                <td>
                    <uc1:CountrySelector ID="CountrySelector2" runat="server" UseCodeNameForSelection="false" />
                </td>
            </tr>
            <tr>
                <%--Shipping phone--%>
                <td class="FieldLabel">
                    <asp:Label ID="lblShippingPhone" runat="server" CssClass="ContentLabel" EnableViewState="false" /></td>
                <td>
                    <asp:TextBox ID="txtShippingPhone" runat="server" CssClass="TextboxField" MaxLength="100" /></td>
            </tr>
        </table>
    </div>
</asp:PlaceHolder>
