<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ForumNewPost.ascx.cs"
    Inherits="CMSForum_ForumNewPost" %>
<%@ Register Src="ForumPost.ascx" TagName="ForumPost" TagPrefix="uc1" %>
<%@ Register TagPrefix="fckeditorv2" Namespace="CMS.FCKeditorV2" Assembly="CMS.FCKeditorV2" %>
<asp:Panel ID="pnlContent" runat="server" CssClass="ForumNewPost">
    <asp:Label ID="lblHeader" runat="server" EnableViewState="false" CssClass="Title" />
    <asp:Panel runat="server" ID="pnlReplyPost" CssClass="PostReply">
        <uc1:ForumPost ID="postReply" runat="server" />
    </asp:Panel>
    <div class="FormPadding">
        <asp:Label runat="server" ID="lblError" SkinID="ErrorLabel" ForeColor="Red" EnableViewState="false"
            Visible="false" />
        <table class="PostForm">
            <asp:PlaceHolder runat="server" ID="plcUserName">
                <tr>
                    <td class="ItemLabel">
                        <asp:Label ID="lblUserName" runat="server" /></td>
                    <td>
                        <asp:TextBox ID="txtUserName" runat="server" CssClass="TextboxItemShort" MaxLength="100"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="rfvUserName" runat="server" ControlToValidate="txtUserName"
                            Display="Dynamic" ValidationGroup="NewPostforum" /></td>
                </tr>
            </asp:PlaceHolder>
            <asp:PlaceHolder runat="server" ID="plcNickName" Visible="false">
                <tr>
                    <td class="ItemLabel">
                        <asp:Label ID="lblNickName" runat="server" /></td>
                    <td>
                        <asp:Label runat="server" ID="lblNickNameValue"></asp:Label>
                    </td>
                </tr>
            </asp:PlaceHolder>
            <tr>
                <td class="ItemLabel">
                    <asp:Label ID="lblEmail" runat="server" EnableViewState="false" /></td>
                <td>
                    <asp:TextBox ID="txtEmail" runat="server" CssClass="TextboxItemShort" MaxLength="100"></asp:TextBox>
                    <asp:RegularExpressionValidator ID="rfvEmail" runat="server" ControlToValidate="txtEmail"
                        Display="Dynamic" ValidationGroup="NewPostforum" />
                    <asp:RequiredFieldValidator ID="rfvEmailRequired" runat="server" ControlToValidate="txtEmail"
                        Enabled="false" Display="Dynamic" ValidationGroup="NewPostforum" /></td>
            </tr>
            <asp:PlaceHolder runat="server" ID="SubscribeHolder">
                <tr>
                    <td class="ItemLabel">
                        <asp:Label ID="lblSubscribe" runat="server" EnableViewState="false" />
                    </td>
                    <td>
                        <asp:CheckBox runat="server" ID="chkSubscribe" />
                    </td>
                </tr>
            </asp:PlaceHolder>
            <tr>
                <td class="ItemLabel">
                    <asp:Label ID="lblSubject" runat="server" EnableViewState="false" /></td>
                <td>
                    <asp:TextBox ID="txtSubject" runat="server" CssClass="TextboxItem" MaxLength="450"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvSubject" runat="server" ControlToValidate="txtSubject"
                        Display="Dynamic" ValidationGroup="NewPostforum"></asp:RequiredFieldValidator></td>
            </tr>
            <tr>
                <td class="ItemLabel">
                    <asp:Label ID="lblText" runat="server" EnableViewState="false" /></td>
                <td>
                    <asp:TextBox ID="txtText" runat="server" CssClass="TextareaItem" TextMode="MultiLine"
                        Rows="5"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvText" runat="server" ControlToValidate="txtText"
                        Display="Dynamic" ValidationGroup="NewPostforum" />
                    <fckeditorv2:FCKeditor ID="fckTemplateBody" runat="server" Width="500px" Height="200px" Visible="false" />
                        </td>
            </tr>
            <asp:PlaceHolder runat="server" ID="plcSignature" Visible="false">
            <tr>
                <td class="ItemLabel">
                    <asp:Label ID="lblSignature" runat="server" EnableViewState="false" /></td>
                <td>
                    <asp:TextBox ID="txtSignature" runat="server" CssClass="SignatureAreaItem" TextMode="MultiLine"
                        Rows="3"></asp:TextBox>
                    </td>
            </tr>
            </asp:PlaceHolder>
            <tr>
                <td>
                </td>
                <td>
                    <asp:Button ID="btnOK" runat="server" CssClass="Button" OnClick="btnOK_Click" ValidationGroup="NewPostforum" />
                    <asp:Button ID="btnCancel" runat="server" CssClass="Button" OnClick="btnCancel_Click" />
                    <asp:Button ID="btnPreview" runat="server" CssClass="Button" OnClick="btnPreview_Click"
                        ValidationGroup="NewPostforum" /></td>
            </tr>
        </table>
    </div>
</asp:Panel>
