CREATE TABLE [CMS_Class] (
		[ClassID]                        int NOT NULL IDENTITY(1, 1),
		[ClassDisplayName]               nvarchar(100) NOT NULL,
		[ClassName]                      nvarchar(100) NOT NULL,
		[ClassUsesVersioning]            bit NOT NULL,
		[ClassIsDocumentType]            bit NOT NULL,
		[ClassIsCoupledClass]            bit NOT NULL,
		[ClassXmlSchema]                 ntext NOT NULL,
		[ClassFormDefinition]            ntext NOT NULL,
		[ClassEditingPageUrl]            nvarchar(100) NOT NULL,
		[ClassListPageUrl]               nvarchar(100) NOT NULL,
		[ClassNodeNameSource]            nvarchar(100) NOT NULL,
		[ClassTableName]                 nvarchar(100) NOT NULL,
		[ClassViewPageUrl]               nvarchar(450) NULL,
		[ClassPreviewPageUrl]            nvarchar(450) NULL,
		[ClassFormLayout]                ntext NULL,
		[ClassNewPageUrl]                nvarchar(100) NULL,
		[ClassShowAsSystemTable]         bit NOT NULL,
		[ClassUsePublishFromTo]          bit NULL,
		[ClassShowTemplateSelection]     bit NULL,
		[ClassSKUMappings]               nvarchar(500) NULL,
		[ClassIsMenuItemType]            bit NULL
)
ON [PRIMARY]
TEXTIMAGE_ON [PRIMARY]
ALTER TABLE [CMS_Class]
	ADD
	CONSTRAINT [PK__CMS_Class__15502E78]
	PRIMARY KEY
	([ClassID])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_Class]
	ON [CMS_Class] ([ClassDisplayName])
	ON [PRIMARY]
CREATE UNIQUE INDEX [IX_CMS_Class_1]
	ON [CMS_Class] ([ClassName])
	ON [PRIMARY]
