CREATE TABLE [CMS_Query] (
		[QueryID]                      int NOT NULL IDENTITY(1, 1),
		[QueryName]                    nvarchar(100) NOT NULL,
		[QueryTypeID]                  int NOT NULL,
		[QueryText]                    ntext NOT NULL,
		[QueryRequiresTransaction]     bit NOT NULL,
		[ClassID]                      int NOT NULL,
		[QueryIsLocked]                bit NOT NULL
)
ON [PRIMARY]
TEXTIMAGE_ON [PRIMARY]
ALTER TABLE [CMS_Query]
	ADD
	CONSTRAINT [PK__CMS_Query__4E88ABD4]
	PRIMARY KEY
	([QueryID])
	ON [PRIMARY]
IF OBJECT_ID(N'[CMS_Query]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_Class]') IS NOT NULL
	AND OBJECT_ID(N'[FK__CMS_Query__Class__4F7CD00D]') IS NULL
BEGIN
		ALTER TABLE [CMS_Query]
			WITH NOCHECK
			ADD CONSTRAINT [FK__CMS_Query__Class__4F7CD00D]
			FOREIGN KEY ([ClassID]) REFERENCES [CMS_Class] ([ClassID])
			NOT FOR REPLICATION
END
CREATE INDEX [IX_CMS_Query]
	ON [CMS_Query] ([ClassID])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_Query_1]
	ON [CMS_Query] ([QueryName])
	ON [PRIMARY]
