CREATE TABLE [COM_DiscountCoupon] (
		[DiscountCouponID]              int NOT NULL IDENTITY(1, 1),
		[DiscountCouponDisplayName]     nvarchar(200) NOT NULL,
		[DiscountCouponIsExcluded]      bit NOT NULL,
		[DiscountCouponValidFrom]       datetime NULL,
		[DiscountCouponValidTo]         datetime NULL,
		[DiscountCouponValue]           float NULL,
		[DiscountCouponIsFlatValue]     bit NOT NULL,
		[DiscountCouponCode]            nvarchar(200) NOT NULL
)
ON [PRIMARY]
ALTER TABLE [COM_DiscountCoupon]
	ADD
	CONSTRAINT [PK_COM_DiscountCoupon]
	PRIMARY KEY
	([DiscountCouponID])
	ON [PRIMARY]
CREATE INDEX [IX_COM_DiscountCoupon]
	ON [COM_DiscountCoupon] ([DiscountCouponDisplayName])
	ON [PRIMARY]
