CREATE TABLE [COM_Manufacturer] (
		[ManufacturerID]              int NOT NULL IDENTITY(1, 1),
		[ManufacturerDisplayName]     nvarchar(200) NOT NULL,
		[ManufactureHomepage]         nvarchar(400) NULL,
		[ManufacturerEnabled]         bit NOT NULL
)
ON [PRIMARY]
ALTER TABLE [COM_Manufacturer]
	ADD
	CONSTRAINT [PK_COM_Manifacturer]
	PRIMARY KEY
	([ManufacturerID])
	ON [PRIMARY]
CREATE INDEX [IX_COM_Manufacturer_1]
	ON [COM_Manufacturer] ([ManufacturerDisplayName])
	ON [PRIMARY]
