CREATE TABLE [COM_OrderStatus] (
		[StatusID]              int NOT NULL IDENTITY(1, 1),
		[StatusName]            nvarchar(200) NOT NULL,
		[StatusDisplayName]     nvarchar(200) NOT NULL,
		[StatusOrder]           int NULL,
		[StatusEnabled]         bit NOT NULL
)
ON [PRIMARY]
ALTER TABLE [COM_OrderStatus]
	ADD
	CONSTRAINT [PK_COM_Status]
	PRIMARY KEY
	([StatusID])
	ON [PRIMARY]
CREATE INDEX [IX_COM_Status]
	ON [COM_OrderStatus] ([StatusName])
	ON [PRIMARY]
CREATE INDEX [IX_COM_Status_1]
	ON [COM_OrderStatus] ([StatusDisplayName])
	ON [PRIMARY]
