CREATE TABLE [COM_Supplier] (
		[SupplierID]              int NOT NULL IDENTITY(1, 1),
		[SupplierDisplayName]     nvarchar(50) NOT NULL,
		[SupplierPhone]           nvarchar(50) NOT NULL,
		[SupplierEmail]           nvarchar(200) NOT NULL,
		[SupplierFax]             nvarchar(50) NOT NULL,
		[SupplierEnabled]         bit NOT NULL
)
ON [PRIMARY]
ALTER TABLE [COM_Supplier]
	ADD
	CONSTRAINT [PK_COM_Supplier]
	PRIMARY KEY
	([SupplierID])
	ON [PRIMARY]
CREATE INDEX [IX_COM_Supplier]
	ON [COM_Supplier] ([SupplierDisplayName])
	ON [PRIMARY]
