using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.GlobalHelper;

public partial class CMSSiteManager_Administration_System_System_Header : AdministrationPage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        PageTitle.TitleText = ResHelper.GetString("Administration-System.Header");
        PageTitle.TitleImage = "~/App_Themes/" + this.Theme + "/Images/CMSSiteManager/Administration/System/system.gif";

        if (!IsPostBack)
        {
            InitalizeMenu();
        }
    }

    /// <summary>
    /// Initializes menu
    /// </summary>
    protected void InitalizeMenu()
    {
        BasicTabControlMenu.Tabs = new string[4, 4];
        BasicTabControlMenu.Tabs[0, 0] = ResHelper.GetString("Administration-System.General");
        BasicTabControlMenu.Tabs[0, 2] = "System.aspx";
        BasicTabControlMenu.Tabs[1, 0] = ResHelper.GetString("Administration-System.Email");
        BasicTabControlMenu.Tabs[1, 2] = "System_Email.aspx";
        BasicTabControlMenu.Tabs[2, 0] = ResHelper.GetString("Administration-System.Files");
        BasicTabControlMenu.Tabs[2, 2] = "System_Files.aspx";
        BasicTabControlMenu.Tabs[3, 0] = ResHelper.GetString("Administration-System.Deployment");
        BasicTabControlMenu.Tabs[3, 2] = "System_Deployment.aspx";

        BasicTabControlMenu.UrlTarget = "systemContent";
    }
}
