<%@ Page Language="C#" AutoEventWireup="true" CodeFile="PageLayout_List.aspx.cs"
    Inherits="SiteManager_Development_PageLayouts_PageLayout_List" Theme="Default" %>

<%@ Register Src="../../../CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<%@ Register Src="../../../CMSAdminControls/UniGrid.ascx" TagName="UniGrid" TagPrefix="uc2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Page Layouts - Page Layout List</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height: 100%;
        }
    </style>
</head>
<body class="<%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel runat="server" ID="pnlBody" SkinID="PageBody">
            <asp:Panel runat="server" ID="pnlTitle" SkinID="PageHeader">
                <uc1:PageTitle ID="PageTitleLayout" runat="server" />
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlInfo" SkinID="PageContent" Visible="false">
                <asp:Label runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false" />
            </asp:Panel>
            <asp:PlaceHolder ID="plcLayouts" runat="server">
                <asp:Panel ID="PanelNewModule" runat="server" SkinID="PageHeaderLine">
                    <asp:Image ID="ImageNewModule" runat="server" SkinID="NewItemImage" />
                    <asp:HyperLink ID="HyperlinkNewModule" runat="server" SkinID="NewItemLink" NavigateUrl="PageLayout_Edit.aspx" />
                </asp:Panel>
                <asp:Panel ID="PanelContent" runat="server" SkinID="PageContent">
                    <uc2:UniGrid ID="UniGridModules" runat="server" GridName="PageLayout_List.xml" OrderBy="LayoutDisplayName" />
                </asp:Panel>
            </asp:PlaceHolder>
        </asp:Panel>
    </form>
</body>
</html>
