<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Workflow_List.aspx.cs" Inherits="SiteManager_Development_Workflows_Workflow_List"
    Theme="Default" %>

<%@ Register Src="../../../CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<%@ Register Src="../../../CMSAdminControls/UniGrid.ascx" TagName="UniGrid" TagPrefix="uc2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Workflows - Workflow List</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height: 100%;
        }
    </style>
</head>
<body class="<%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel ID="pnlBody" runat="server" SkinID="PageBody">
            <asp:Panel ID="pnlTitle" runat="server" SkinID="PageHeader">
                <uc1:PageTitle ID="PageTitleWorkflowList" runat="server" />
            </asp:Panel>
            <asp:Panel ID="pnlNewWorkflow" runat="server" SkinID="PageHeaderLine">
                <asp:Image ID="imgNewWorkflow" runat="server" SkinID="NewItemImage" />
                <asp:HyperLink ID="lnkNewWorkflow" runat="server" SkinID="NewItemLink" />
            </asp:Panel>
            <asp:Panel ID="pnlContent" runat="server" SkinID="PageContent">
                <asp:Label runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false"
                    Visible="false" />
                <asp:Label runat="server" ID="lblError" SkinID="ErrorLabel" EnableViewState="false"
                    Visible="false" />
                <uc2:UniGrid ID="UniGridWorkflows" runat="server" GridName="Workflow_List.xml" OrderBy="WorkflowDisplayName" />
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
