<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Workflow_Scope_Edit.aspx.cs"
    Inherits="SiteManager_Development_Workflows_Workflow_Scope_Edit" Theme="Default" %>

<%@ Register Src="../../../CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Workflows - Workflow Scopes</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height: 100%;
        }
    </style>
</head>
<body class="<%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel ID="pnlBody" runat="server" SkinID="TabsPageBody">
            <asp:Panel runat="server" ID="pnlScroll" SkinID="TabsPageScrollArea">
                <asp:Panel ID="pnlUsers" runat="server" SkinID="TabsPageContent">
                    <asp:Panel ID="pnlTitle" runat="server" SkinID="PageHeader">
                        <uc1:PageTitle ID="PageTitleWorkflowScopes" runat="server" />
                    </asp:Panel>
                    <asp:Panel runat="server" ID="pnlContent" SkinID="PageContent">
                        <asp:Label runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false"
                            Visible="false" />
                        <asp:Label runat="server" ID="lblError" ForeColor="red" EnableViewState="false" Visible="false" />
                        <table>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblStartingAliasPath" runat="server" EnableViewState="false"></asp:Label>
                                </td>
                                <td>
                                    <asp:TextBox ID="txtStartingAliasPath" runat="server" SkinID="TextboxField" MaxLength="450"></asp:TextBox>
                                    <asp:RequiredFieldValidator ID="rfvStartingAliasPath" runat="server" ErrorMessage="RequiredFieldValidator"
                                        ControlToValidate="txtStartingAliasPath"></asp:RequiredFieldValidator>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblDocumentTypes" runat="server" EnableViewState="false"></asp:Label>
                                </td>
                                <td>
                                    <asp:DropDownList ID="drpDocumentTypes" runat="server" DataTextField="ClassDisplayName" DataValueField="ClassID" />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                </td>
                                <td>
                                    <br />
                                    <asp:Button ID="ButtonOK" runat="server" OnClick="ButtonOK_Click" SkinID="ContentButton" />
                                </td>
                            </tr>
                        </table>
                    </asp:Panel>
                </asp:Panel>
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
