﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ClassNameSelection.aspx.cs"
    Inherits="CMSWebParts_Designers_ClassNameSelection" Theme="Default" %>

<%@ Register Src="../../CMSAdminControls/UniGrid.ascx" TagName="UniGrid" TagPrefix="uc2" %>
<%@ Register Assembly="CMS.Controls" Namespace="CMS.Controls" TagPrefix="cc2" %>
<%@ Register Src="../../CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>ClassName selection</title>
    <base target="_self" />
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height: 100%;
        }
    </style>

    <script language="javascript" type="text/javascript">
    <!--
       var wopener = window.dialogArguments;
       if ( wopener == null )
       {
            wopener = opener;
       }
    -->
    </script>

</head>
<body onload="PreselectNames();">
    <form id="form1" runat="server">
        <asp:Panel runat="server" ID="pnlBody" SkinID="SelectionPageBody">
            <asp:Panel runat="server" ID="pnlTitle" SkinID="PageHeader">
                <uc1:PageTitle ID="titleElem" runat="server" />
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlContent" SkinID="SelectionPageContent">
                <div style="width: 100%; overflow: auto; height: 350px;">
                    <asp:GridView ID="GridViewDocTypes" runat="server" AutoGenerateColumns="false" SkinID="ContentGrid"
                        CellPadding="3" OnDataBound="GridViewDocTypes_DataBound">
                        <HeaderStyle CssClass="ContentGridHeader" Wrap="False" HorizontalAlign="Left" />
                        <Columns>
                            <asp:TemplateField>
                                <ItemStyle HorizontalAlign="Center" />
                                <HeaderStyle HorizontalAlign="Center" />
                                <ItemTemplate>
                                    <asp:CheckBox runat="server" ID="chkSelect" />
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:BoundField DataField="ClassDisplayName" />
                            <asp:BoundField DataField="ClassName" />
                        </Columns>
                    </asp:GridView>
                </div>
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlFooter" SkinID="PageFooterLine">
                <div style="float:left">
                    <asp:Button ID="btnOK" runat="server" SkinID="ContentButton" />
                </div>
                <div style="float:right">
                    <asp:Button ID="btnCancel" runat="server" SkinID="ContentButton" />
                </div>
            </asp:Panel>
        </asp:Panel>
        <asp:Literal ID="ltlScript" runat="server"></asp:Literal></form>

    <script language="javascript" type="text/javascript">
    <!--
        var classNames = ';';
        var classNamesOriginal = '';              
        function SelectCurrentDocTypes(txtClientId,lblClientId)
        {
            if(classNames.length > 1)
            {
                wopener.SelectClassNames(classNames.substring(1, classNames.length-1),txtClientId,lblClientId);
		    }
		    else
		    {
                wopener.SelectClassNames('',txtClientId,lblClientId);
		    }
		    window.close();		    
        }                    
        
       
        // adds selected or deletes unselected class names
        function processClassName(className, thisElem)
        {      
            // if this class name is selected and it is not in selection
            if((classNames.indexOf(className) == -1) && (document.getElementById(thisElem + '_chkSelect').checked))
            {
                // insert class name
                classNames += className + ';';
            }
            else if(!document.getElementById(thisElem + '_chkSelect').checked)
            {
                // remove class name                
                classNames = classNames.replace(';' + className + ';',';');                           
            }
            
        }
        
        function Cancel(txtClientId,lblClientId)
        {            
            window.close();
        }        
    -->
    </script>

</body>
</html>
