<%@ Page Language="C#" AutoEventWireup="true" CodeFile="DocumentSelection.aspx.cs"
    Inherits="CMSWebParts_Designers_DocumentSelection" Theme="Default" %>

<%@ Register Src="../../CMSDesk/Content/ContentTree.ascx" TagName="ContentTree" TagPrefix="uc2" %>
<%@ Register Assembly="CMS.ExtendedControls" Namespace="CMS.ExtendedControls" TagPrefix="cc1" %>
<%@ Register Src="../../CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Document Selection</title>
    <base target="_self" />
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height: 100%;
        }
    </style>

    <script language="javascript" type="text/javascript">
    <!--
       var wopener = window.dialogArguments;
       if ( wopener == null )
       {
            wopener = opener;
       }

       var aliasPath = "";  
       var nodeGUID = "";        
    -->
    </script>

</head>
<body class="TreeBody">
    <form id="form1" runat="server">
        <asp:Panel runat="server" ID="pnlBody" SkinID="SelectionPageBody">
            <asp:Panel runat="server" ID="pnlTitle" SkinID="PageHeader">
                <uc1:PageTitle ID="PageTitle" runat="server" />
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlContent" SkinID="SelectionPageContent">
                <div style="width: 100%; overflow: auto; height: 350px;">
                    <asp:Panel runat="server" ID="pnlTree" SkinID="ContentTree">
                        <uc2:ContentTree ID="treeSelectPath" runat="server" MaxTreeNodes="1000" />
                    </asp:Panel>
                </div>
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlFooter" SkinID="PageFooterLine">
                <table cellpadding="3" cellspacing="0" border="0">
                    <tr>
                        <td>
                        </td>
                        <td>
                            <asp:Button ID="btnOK" runat="server" SkinID="ContentButton" Enabled="false" />
                            <asp:Button ID="btnCancel" runat="server" SkinID="ContentButton" OnClientClick="Cancel();" />
                        </td>
                    </tr>
                </table>
            </asp:Panel>
        </asp:Panel>
        <cc1:LocalizedHidden ID="msgNoDocumentSelected" runat="server" Value="{$DocumentSelection.NoDocumentSelected$}" />
        <cc1:LocalizedHidden ID="msgRootSelected" runat="server" Value="{$DocumentSelection.RootSelected$}" />
        <asp:Literal ID="ltlScript" runat="server" />

        <script type="text/javascript" language="javascript">
        <!--                    
            var currentNode = document.getElementById('treeSelectedNode');  
            
        
            // Get alias path to parent window textbox
            function GetDocumentToParentWindow(txtClientID,txtClientIDHdn) 
            {
                if (aliasPath != "")
                {                    
                    if(aliasPath != "/")
                    {
                        if ( wopener.SelectDocument )
                        {                        
                            wopener.SelectDocument(aliasPath, nodeGUID, txtClientID, txtClientIDHdn);
                        }                                                                                
	                    window.close();
	                    return false;
                    }
	                else
	                {
    	                alert(document.getElementById('msgRootSelected').value);		                        
                        return false;
	                }
	            }		        
		        else
		        {		            		            
                    alert(document.getElementById('msgNoDocumentSelected').value);		                        
                    return false;
		        }
            }
        
            
            // Cancel action
            function Cancel()
            {
                window.close();
            }        
                                   
            
            // Selects the given node
            function SelectNode(nodeId, nodeElem)
            {
                if ( (currentNode != null) && (nodeElem != null) )
                {
                    currentNode.className = 'ContentTreeItem';
                }

                GetNodeData(nodeId);   
                                
                // highlights selected node
                if (( nodeElem != null ))
                {   
                    currentNode = nodeElem;
                    currentNode.className = 'ContentTreeSelectedItem';                  
                }         
            }        
               
            
            // Callback function, returns node alias path of the specified node
            function ReceiveNodeData(rValue, context)
            {                                   
                // save alias path                
                aliasPath = rValue.split(';')[0];     
                nodeGUID = rValue.split(';')[1];
                buttonOK.disabled=false;   
            }   
            
        -->
        </script>

        <asp:Literal ID="ltlAliasPath" runat="server"></asp:Literal>
        <asp:Literal ID="ltlAliasPathToParent" runat="server"></asp:Literal>
    </form>
</body>
</html>
