﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RoleNameSelection.aspx.cs"
    Inherits="CMSWebParts_Designers_RoleNameSelection" Theme="Default" %>

<%@ Register Src="../../CMSAdminControls/UniGrid.ascx" TagName="UniGrid" TagPrefix="uc2" %>
<%@ Register Src="../../CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Role name selection</title>
    <base target="_self" />
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height: 100%;
        }
    </style>

    <script language="javascript" type="text/javascript">
    <!--
       var wopener = window.dialogArguments;
       if ( wopener == null )
       {
            wopener = opener;
       }
    -->
    </script>

</head>
<body>
    <form id="form1" runat="server">
        <asp:Panel ID="pnlBody" runat="server" SkinID="SelectionPageBody">
            <asp:Panel ID="pnlTitle" runat="server" SkinID="PageHeader">
                <uc1:PageTitle ID="titleElem" runat="server" />
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlContent" SkinID="SelectionPageContent">
                <div style="width: 100%; overflow: auto; height: 350px;">
                    <asp:GridView ID="gridRoles" runat="server" AutoGenerateColumns="false" SkinID="ContentGrid" CellPadding="3" OnDataBound="gridRoles_DataBound">
                        <HeaderStyle CssClass="ContentGridHeader" Wrap="False" HorizontalAlign="Left" />
                        <Columns>
                            <asp:TemplateField>
                                <ItemStyle HorizontalAlign="Center" />
                                <HeaderStyle HorizontalAlign="Center" />
                                <ItemTemplate>
                                    <asp:CheckBox runat="server" ID="chkSelect" />
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:BoundField DataField="RoleDisplayName" />
                            <asp:BoundField DataField="RoleName" />
                        </Columns>
                    </asp:GridView>
                </div>
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlFooter" SkinID="PageFooterLine">
                <asp:Button ID="btnOK" runat="server" SkinID="ContentButton" OnClick="btnOK_Click" />
                <asp:Button ID="btnCancel" runat="server" SkinID="ContentButton" />
            </asp:Panel>
        </asp:Panel>
    </form>

    <script language="javascript" type="text/javascript">
    <!--   
        
        // Set role names to the specified textbox           
        function SetRolesToTextBox(roleNames, txtClientId, lblClientId)
        {
            if(roleNames.length > 1)
            {
                wopener.SetRolesToTextBox(roleNames, txtClientId, lblClientId);
		    }
		    else
		    {
                wopener.SetRolesToTextBox('', txtClientId, lblClientId);
		    }
		    window.close();		    
        }                    
              
        
        // Cancel button clicked
        function Cancel()
        {            
            window.close();
        }        
    -->
    </script>
    
    <asp:Literal ID="ltlScript" runat="server"></asp:Literal>
</body>
</html>
