<%@ Control Language="C#" AutoEventWireup="true" CodeFile="~/CMSWebParts/Membership/MyProfile.ascx.cs"
    Inherits="CMSWebParts_Membership_MyProfile" %>
<%@ Register Src="../../CMSForum/UserPicture.ascx" TagName="UserPicture" TagPrefix="uc1" %>
<asp:Label ID="lblInfo" runat="server"></asp:Label>
<asp:Label ID="lblError" runat="server" ForeColor="red"></asp:Label>
<asp:Panel ID="RegForm" runat="server" CssClass="MyProfilePanel" DefaultButton="btnOK">
    <table>
        <tr>
            <td>
                <asp:Label ID="lblFirstName" runat="server" AssociatedControlID="txtFirstName" EnableViewState="false"></asp:Label>
            </td>
            <td>
                <asp:TextBox ID="txtFirstName" runat="server" CssClass="MyProfileFirstName"></asp:TextBox>
                <asp:RequiredFieldValidator ID="rfvFirstName" runat="server" ValidationGroup="MyProfile"
                    ControlToValidate="txtFirstName" Display="Dynamic"></asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="lblLastName" runat="server" AssociatedControlID="txtLastName" EnableViewState="false"></asp:Label>
            </td>
            <td>
                <asp:TextBox ID="txtLastName" runat="server" CssClass="MyProfileLastName"></asp:TextBox>
                <asp:RequiredFieldValidator ID="rfvLastName" runat="server" ValidationGroup="MyProfile"
                    ControlToValidate="txtLastName" Display="Dynamic"></asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="lblEmail" runat="server" AssociatedControlID="txtEmail" EnableViewState="false"></asp:Label>
            </td>
            <td>
                <asp:TextBox ID="txtEmail" runat="server" CssClass="MyProfileEmail"></asp:TextBox>
                <asp:RegularExpressionValidator ID="rfvEmail" runat="server" ControlToValidate="txtEmail"
                    Display="Dynamic" ValidationGroup="MyProfile"></asp:RegularExpressionValidator></td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="lblLanguage" runat="server" AssociatedControlID="drpLanguages" EnableViewState="false"></asp:Label>
            </td>
            <td>
                <asp:DropDownList ID="drpLanguages" runat="server" CssClass="MyProfileLanguage">
                </asp:DropDownList></td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="lblNickName" runat="server" EnableViewState="false"></asp:Label>
            </td>
            <td>
                <asp:TextBox ID="txtNickName" runat="server" CssClass="MyProfileNickName"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="lblUserPicture" runat="server" EnableViewState="false"></asp:Label>
            </td>
            <td>
                <asp:PlaceHolder runat="server" ID="plcImageActions" Visible="false">
                    <uc1:UserPicture ID="UserPicture1" runat="server" />
                    &nbsp;<asp:ImageButton runat="server" ID="btnDeleteImage" OnClick="DeleteImage_Click" /><br />
                </asp:PlaceHolder>
                <div>
                    <asp:FileUpload runat="server" CssClass="MyProfileFileUpload" ID="uplFilePicture" /></div>
                <asp:Label runat="server" ID="lblPictureError" EnableViewState="false" Visible="false"
                    CssClass="MyProfileErrorLabel"></asp:Label>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="lblUserSignature" runat="server" EnableViewState="false"></asp:Label>
            </td>
            <td>
                <asp:TextBox runat="server" ID="txtUserSignature" CssClass="MyProfileUserSignature"
                    TextMode="MultiLine" Rows="3"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td style="height: 26px">
            </td>
            <td style="height: 26px">
                <asp:Button ID="btnOK" runat="server" OnClick="btnOK_Click" ValidationGroup="MyProfile"
                    SkinID="ContentButton" EnableViewState="false" /></td>
        </tr>
    </table>
</asp:Panel>
