using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.PortalControls;
using CMS.GlobalHelper;

public partial class CMSWebParts_Membership_MyProfileWebPart : CMSAbstractWebPart
{

    /// <summary>
    /// Max picture width
    /// </summary>
    public int MaxPictureWidth
    {
        get { return ValidationHelper.GetInteger(this.GetValue("MaxPictureWidth"), 0); }
        set
        {
            this.SetValue("MaxPictureWidth", value);
            this.MyProfile1.MaxPictureWidth = ValidationHelper.GetInteger(value, 0);
        }
    }

    public int MaxPictureHeight
    {
        get { return ValidationHelper.GetInteger(this.GetValue("MaxPictureHeight"), 0); }
        set
        {
            this.SetValue("MaxPictureHeight", value);
            this.MyProfile1.MaxPictureHeight = ValidationHelper.GetInteger(value, 0);
        }
    }

    /// <summary>
    /// Content loaded event handler
    /// </summary>
    public override void OnContentLoaded()
    {
        base.OnContentLoaded();
        SetupControl();
    }

    protected void SetupControl()
    {
        this.MyProfile1.OnContentLoaded();
        this.MyProfile1.MaxPictureWidth = this.MaxPictureWidth;
        this.MyProfile1.MaxPictureHeight = this.MaxPictureHeight;
    }
}
