<%@ Control Language="C#" Inherits="FieldEditor" CodeFile="FieldEditor.ascx.cs" %>
<%@ Register Assembly="CMS.ExtendedControls" Namespace="CMS.ExtendedControls" TagPrefix="cc1" %>
<%@ Register Assembly="CMS.Controls" Namespace="CMS.Controls" TagPrefix="cc2" %>
<asp:Panel ID="pnlFieldEditorContentCss" runat="server">
    <asp:Label ID="lblError" runat="server" SkinID="FieldEditorErrorLabel" EnableViewState="false"></asp:Label><asp:Label
        ID="lblInfo" runat="server" SkinID="Information" EnableViewState="false"></asp:Label>
    <table border="0" cellpadding="0" cellspacing="0">
        <tr>
            <td valign="top" id="AttributeListBoxPadding">
                <table border="0" cellpadding="0" cellspacing="0">
                    <tr>
                        <td>
                            <asp:ListBox ID="lstAttributes" runat="server" AutoPostBack="True" OnSelectedIndexChanged="lstAttributes_SelectedIndexChanged"
                                EnableViewState="true" SkinID="AttributesList"></asp:ListBox>
                            <asp:Panel ID="pnlSourceField" runat="server">
                                <asp:Label ID="lblSourceField" runat="server" EnableViewState="false"></asp:Label><br />
                                <asp:DropDownList ID="drpSourceField" runat="server" SkinID="SourceFieldDropDown"
                                    AutoPostBack="true" OnSelectedIndexChanged="drpSourceField_SelectedIndexChanged">
                                </asp:DropDownList>
                            </asp:Panel>
                        </td>
                        <td style="padding-left: 6px; padding-right: 6px">
                            <asp:ImageButton ID="btnUpAttribute" runat="server" OnClick="btnUpAttribute_Click"></asp:ImageButton><br />
                            <br />
                            <asp:ImageButton ID="btnDownAttribute" runat="server" OnClick="btnDownAttribute_Click">
                            </asp:ImageButton><br />
                            <br />
                            <br />
                            <br />
                            <asp:ImageButton ID="btnNewCategory" runat="server" OnClick="btnNewCategory_Click"></asp:ImageButton><br />
                            <br />
                            <br />
                            <br />
                            <asp:ImageButton ID="btnNewAttribute" runat="server" OnClick="btnNewAttribute_Click">
                            </asp:ImageButton><br />
                            <br />
                            <asp:ImageButton ID="btnDeleteItem" runat="server" OnClick="btnDeleteItem_Click"></asp:ImageButton>
                        </td>
                    </tr>
                </table>
            </td>
            <td style="width: 500px;">
                <%--<asp:Label ID="lblError" runat="server" SkinID="ErrorLabel" EnableViewState="false"></asp:Label><asp:Label ID="lblInfo" runat="server" SkinID="Information" EnableViewState="false"></asp:Label>                                  --%>
                <%-- Tabs --%>
                <asp:PlaceHolder ID="pnlTabsHolder" runat="server">
                    <asp:Button ID="btnSimplified" runat="server" Visible="false" OnCommand="btnSimplified_Command" />
                    <asp:Button ID="btnAdvanced" runat="server" Visible="false" OnCommand="btnAdvanced_Command" />
                    <asp:Panel runat="server" ID="pnlTabs" SkinID="FieldEditorTabsTabs">
                        <asp:Panel runat="server" ID="pnlWhite" SkinID="TabsWhite">
                            <cc2:BasicTabControl ID="BasicTabControlMenu" runat="server" UseClientScript="true" />
                        </asp:Panel>
                    </asp:Panel>
                    <asp:Panel runat="server" ID="pnlRight" SkinID="FieldEditorTabsRight">
                        &nbsp;
                    </asp:Panel>
                </asp:PlaceHolder>
                <asp:Panel ID="pnlFieldEditorContent" runat="server" CssClass="FieldEditorContent">
                    <%-- Advanced mode BEGIN --%>
                    <asp:Panel ID="pnlAdvancedAttributeEdit" runat="server">
                        <%-- Database section --%>
                        <asp:Label ID="lblSectionDatabase" runat="server" SkinID="SectionTitle"></asp:Label>
                        <table border="0" cellpadding="0" cellspacing="5">
                            <tr>
                                <td class="TextColumn">
                                    <asp:Label ID="lblAdvancedAttributeName" runat="server" EnableViewState="false"></asp:Label></td>
                                <td>
                                    <asp:TextBox ID="txtAdvancedAttributeName" runat="server" SkinID="TextboxField"></asp:TextBox></td>
                            </tr>
                            <tr>
                                <td class="TextColumn">
                                    <asp:Label ID="lblAttributeType" runat="server" EnableViewState="false"></asp:Label></td>
                                <td>
                                    <asp:DropDownList ID="lstAttributeType" runat="server" DataTextField="Text" DataValueField="Value"
                                        SkinID="DropDownField" AutoPostBack="True" OnSelectedIndexChanged="lstAttributeType_SelectedIndexChanged">
                                    </asp:DropDownList></td>
                            </tr>
                            <tr>
                                <td class="TextColumn">
                                    <asp:Label ID="lblAttributeSize" runat="server" EnableViewState="false"></asp:Label></td>
                                <td>
                                    <asp:TextBox ID="txtAttributeSize" runat="server" SkinID="TextboxField"></asp:TextBox></td>
                            </tr>
                            <tr>
                                <td class="TextColumn">
                                    <asp:Label ID="lblAdvancedAllowEmpty" runat="server" EnableViewState="false"></asp:Label></td>
                                <td>
                                    <asp:CheckBox ID="chkAdvancedAllowEmpty" runat="server" SkinID="CheckBoxMovedLeft"></asp:CheckBox></td>
                            </tr>
                            <tr>
                                <td class="TextColumn">
                                    <asp:Label ID="lblAdvancedDefaultValue" runat="server" EnableViewState="false"></asp:Label></td>
                                <td>
                                    <%-- default value --%>
                                    <asp:TextBox ID="txtAdvancedDefaultValue" runat="server" SkinID="TextboxField"></asp:TextBox>
                                    <asp:CheckBox ID="chkAdvancedDefaultValue" runat="server" SkinID="CheckBoxMovedLeft">
                                    </asp:CheckBox>
                                    <cc1:DateTimePicker ID="datetimeAdvancedDefatulValue" runat="server"></cc1:DateTimePicker>
                                </td>
                            </tr>
                        </table>
                        <br />
                        <asp:CheckBox ID="chkDisplayInForm" runat="server" AutoPostBack="True" OnCheckedChanged="chkDisplayInForm_CheckedChanged"
                            SkinID="CheckBoxMovedLeft"></asp:CheckBox>
                        <%-- Display in form: BEGIN--%>
                        <asp:Panel ID="pnlDisplayInForm" runat="server">
                            <br />
                            <asp:Label ID="lblSectionField" runat="server" SkinID="SectionTitle"></asp:Label>
                            <table border="0" cellpadding="0" cellspacing="5">
                                <asp:PlaceHolder ID="pnlSimplifiedModeFieldSettings" runat="server">
                                    <asp:PlaceHolder ID="pnlAdvancedPublicField" runat="server">
                                        <tr>
                                            <td class="TextColumn">
                                                <asp:Label ID="lblAdvancedPublicField" runat="server" EnableViewState="false"></asp:Label></td>
                                            <td>
                                                <asp:CheckBox ID="chkAdvancedPublicField" runat="server" SkinID="CheckBoxMovedLeft">
                                                </asp:CheckBox></td>
                                        </tr>
                                    </asp:PlaceHolder>
                                    <tr>
                                        <td class="TextColumn">
                                            <asp:Label ID="lblAdvancedFieldCaption" runat="server"></asp:Label></td>
                                        <td>
                                            <asp:TextBox ID="txtAdvancedFieldCaption" runat="server" SkinID="TextboxField"></asp:TextBox></td>
                                    </tr>
                                    <tr>
                                        <td class="TextColumn">
                                            <asp:Label ID="lblAdvancedFieldType" runat="server" SkinID="DropDownField"></asp:Label></td>
                                        <td>
                                            <asp:DropDownList ID="lstAdvancedFieldType" runat="server" AutoPostBack="True" DataTextField="Text"
                                                DataValueField="Value" SkinID="DropDownField" OnSelectedIndexChanged="lstFieldType_SelectedIndexChanged">
                                            </asp:DropDownList></td>
                                    </tr>
                                    <tr>
                                        <td class="TextColumn">
                                        </td>
                                        <td>
                                            <asp:Panel ID="pnlAdvancedTextAreaSettings" runat="server">
                                                <table>
                                                    <tr>
                                                        <td class="TextColumnSettings">
                                                            <asp:Label ID="lblAdvancedTextAreaCols" runat="server" EnableViewState="false"></asp:Label></td>
                                                        <td>
                                                            <asp:TextBox ID="txtAdvancedTextAreaCols" runat="server" SkinID="SmallTextBox"></asp:TextBox></td>
                                                    </tr>
                                                    <tr>
                                                        <td class="TextColumnSettings">
                                                            <asp:Label ID="lblAdvancedTextAreaRows" runat="server" EnableViewState="false"></asp:Label></td>
                                                        <td>
                                                            <asp:TextBox ID="txtAdvancedTextAreaRows" runat="server" SkinID="SmallTextBox"></asp:TextBox></td>
                                                    </tr>
                                                    <tr>
                                                        <td class="TextColumnSettings">
                                                            <asp:Label ID="lblAdvancedTextAreaSize" runat="server" EnableViewState="false"></asp:Label></td>
                                                        <td>
                                                            <asp:TextBox ID="txtAdvancedTextAreaSize" runat="server" SkinID="SmallTextBox"></asp:TextBox></td>
                                                    </tr>
                                                </table>
                                            </asp:Panel>
                                            <asp:Panel ID="pnlAdvancedHTMLAreaSettings" runat="server">
                                                <table>
                                                    <tr>
                                                        <td class="TextColumnSettings">
                                                            <asp:Label ID="lblAdvancedHTMLAreaWidth" runat="server" EnableViewState="false"></asp:Label></td>
                                                        <td>
                                                            <asp:TextBox ID="txtAdvancedHTMLAreaWidth" runat="server" SkinID="SmallTextBox"></asp:TextBox></td>
                                                    </tr>
                                                    <tr>
                                                        <td class="TextColumnSettings">
                                                            <asp:Label ID="lblAdvancedHTMLAreaHeight" runat="server" EnableViewState="false"></asp:Label></td>
                                                        <td>
                                                            <asp:TextBox ID="txtAdvancedHTMLAreaHeight" runat="server" SkinID="SmallTextBox"></asp:TextBox></td>
                                                    </tr>
                                                    <tr>
                                                        <td class="TextColumnSettings">
                                                            <asp:Label ID="lblAdvancedHTMLAreaSize" runat="server" EnableViewState="false"></asp:Label></td>
                                                        <td>
                                                            <asp:TextBox ID="txtAdvancedHTMLAreaSize" runat="server" SkinID="SmallTextBox"></asp:TextBox></td>
                                                    </tr>
                                                </table>
                                            </asp:Panel>
                                            <asp:Panel ID="pnlAdvancedDropDownListSettings" runat="server">
                                                <asp:RadioButton ID="radAdvancedDropDownListOptions" runat="server" Checked="True"
                                                    GroupName="dropdownlistsettings"></asp:RadioButton>
                                                <br />
                                                <asp:RadioButton ID="radAdvancedDropDownListSQL" runat="server" GroupName="dropdownlistsettings">
                                                </asp:RadioButton>
                                                <br />
                                                <asp:TextBox ID="txtAdvancedDropDownListOptions" runat="server" SkinID="TextAreaField"
                                                    TextMode="MultiLine"></asp:TextBox>
                                            </asp:Panel>
                                            <asp:Panel ID="pnlAdvancedCalendarSettings" runat="server">
                                                <asp:CheckBox ID="chkAdvancedCalendarSettingsEditTime" runat="server" Checked="True"
                                                    SkinID="CheckBoxMovedLeft"></asp:CheckBox>
                                            </asp:Panel>
                                            <asp:Panel ID="pnlAdvancedMultipleChoice" runat="server">
                                                <asp:RadioButton ID="radAdvancedMultipleChoiceOptions" runat="server" Checked="True"
                                                    GroupName="multiplechoicesettings"></asp:RadioButton>
                                                <br />
                                                <asp:RadioButton ID="radAdvancedMultipleChoiceSQL" runat="server" GroupName="multiplechoicesettings">
                                                </asp:RadioButton>
                                                <br />
                                                <asp:TextBox ID="txtAdvancedMultipleChoiceOptions" runat="server" Rows="8" Columns="32"
                                                    TextMode="MultiLine"></asp:TextBox>
                                            </asp:Panel>
                                            <asp:Panel ID="pnlAdvancedImageSelection" runat="server">
                                                <table>
                                                    <tr>
                                                        <td class="TextColumnSettings">
                                                            <asp:Label ID="lblAdvancedImageWidth" runat="server" EnableViewState="false"></asp:Label></td>
                                                        <td>
                                                            <asp:TextBox ID="txtAdvancedImageWidth" runat="server" SkinID="SmallTextBox"></asp:TextBox></td>
                                                    </tr>
                                                    <tr>
                                                        <td class="TextColumnSettings">
                                                            <asp:Label ID="lblAdvancedImageHeight" runat="server" EnableViewState="false"></asp:Label></td>
                                                        <td>
                                                            <asp:TextBox ID="txtAdvancedImageHeight" runat="server" SkinID="SmallTextBox"></asp:TextBox></td>
                                                    </tr>
                                                    <tr>
                                                        <td class="TextColumnSettings">
                                                            <asp:Label ID="lblAdvancedImageMaxSideSize" runat="server" EnableViewState="false"></asp:Label></td>
                                                        <td>
                                                            <asp:TextBox ID="txtAdvancedImageMaxSideSize" runat="server" SkinID="SmallTextBox"></asp:TextBox></td>
                                                    </tr>
                                                </table>
                                            </asp:Panel>
                                        </td>
                                    </tr>
                                </asp:PlaceHolder>
                                <tr>
                                    <td class="TextColumn">
                                        <asp:Label ID="lblFieldDescription" runat="server" EnableViewState="false"></asp:Label></td>
                                    <td>
                                        <asp:TextBox ID="txtDescription" runat="server" SkinID="TextAreaField" TextMode="MultiLine"></asp:TextBox></td>
                                </tr>
                                <asp:PlaceHolder runat="server" ID="plcSpellCheck">
                                    <tr>
                                        <td class="TextColumn">
                                            <asp:Label ID="lblSpellCheck" runat="server" EnableViewState="false"></asp:Label></td>
                                        <td>
                                            <asp:CheckBox ID="chkSpellCheck" runat="server" /></td>
                                    </tr>
                                </asp:PlaceHolder>
                            </table>
                            <br />
                            <%-- Validation section --%>
                            <asp:Panel ID="pnlSectionValidation" runat="server">
                                <asp:Label ID="lblSectionValidation" runat="server" SkinID="SectionTitle"></asp:Label>
                                <table border="0" cellpadding="0" cellspacing="5">
                                    <asp:PlaceHolder ID="pnlTextValidation" runat="server">
                                        <tr>
                                            <td class="TextColumn">
                                                <asp:Label ID="lblRegExpr" runat="server" EnableViewState="false"></asp:Label></td>
                                            <td>
                                                <asp:TextBox ID="txtRegExpr" runat="server" SkinID="TextboxField"></asp:TextBox></td>
                                        </tr>
                                        <asp:PlaceHolder runat="server" ID="pnlMinMaxLengthValidation">
                                            <tr>
                                                <td class="TextColumn">
                                                    <asp:Label ID="lblMinLength" runat="server" EnableViewState="false"></asp:Label></td>
                                                <td>
                                                    <asp:TextBox ID="txtMinLength" runat="server" SkinID="TextboxField"></asp:TextBox></td>
                                            </tr>
                                            <tr>
                                                <td class="TextColumn">
                                                    <asp:Label ID="lblMaxLength" runat="server" EnableViewState="false"></asp:Label></td>
                                                <td>
                                                    <asp:TextBox ID="txtMaxLength" runat="server" SkinID="TextboxField"></asp:TextBox></td>
                                            </tr>
                                        </asp:PlaceHolder>
                                    </asp:PlaceHolder>
                                    <asp:PlaceHolder ID="pnlNumberValidation" runat="server">
                                        <tr>
                                            <td class="TextColumn">
                                                <asp:Label ID="lblMinValue" runat="server" EnableViewState="false"></asp:Label></td>
                                            <td>
                                                <asp:TextBox ID="txtMinValue" runat="server" SkinID="TextboxField"></asp:TextBox></td>
                                        </tr>
                                        <tr>
                                            <td class="TextColumn">
                                                <asp:Label ID="lblMaxValue" runat="server" EnableViewState="false"></asp:Label></td>
                                            <td>
                                                <asp:TextBox ID="txtMaxValue" runat="server" SkinID="TextboxField"></asp:TextBox></td>
                                        </tr>
                                    </asp:PlaceHolder>
                                    <asp:PlaceHolder ID="pnlDateTimeValidation" runat="server">
                                        <tr>
                                            <td class="TextColumn">
                                                <asp:Label ID="lblFrom" runat="server" EnableViewState="false" /></td>
                                            <td>
                                                <cc1:DateTimePicker ID="dateFrom" runat="server"></cc1:DateTimePicker>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="TextColumn">
                                                <asp:Label ID="lblTo" runat="server" EnableViewState="false" /></td>
                                            <td>
                                                <cc1:DateTimePicker ID="dateTo" runat="server"></cc1:DateTimePicker>
                                            </td>
                                        </tr>
                                    </asp:PlaceHolder>
                                    <asp:PlaceHolder ID="pnlFileValidation" runat="server">
                                        <tr>
                                            <td class="TextColumn">
                                                <asp:Label ID="lblFileExtensions" runat="server" EnableViewState="false"></asp:Label></td>
                                            <td>
                                                <asp:TextBox ID="txtFileExtensions" runat="server" SkinID="TextboxField"></asp:TextBox></td>
                                        </tr>
                                    </asp:PlaceHolder>
                                    <asp:PlaceHolder ID="pnlErrorMessageValidation" runat="server">
                                        <tr>
                                            <td class="TextColumn">
                                                <asp:Label ID="lblErrorMessage" runat="server" EnableViewState="false"></asp:Label></td>
                                            <td>
                                                <asp:TextBox ID="txtErrorMessage" runat="server" SkinID="TextboxField"></asp:TextBox></td>
                                        </tr>
                                    </asp:PlaceHolder>
                                </table>
                                <br />
                            </asp:Panel>
                            <%-- Design section --%>
                            <asp:Label ID="lblSectionDesign" runat="server" SkinID="SectionTitle"></asp:Label>
                            <table border="0" cellpadding="0" cellspacing="5">
                                <tr>
                                    <td class="TextColumn">
                                        <asp:Label ID="lblCaptionStyle" runat="server" EnableViewState="false"></asp:Label></td>
                                    <td>
                                        <asp:TextBox ID="txtCaptionStyle" runat="server" SkinID="TextboxField"></asp:TextBox></td>
                                </tr>
                                <tr>
                                    <td class="TextColumn">
                                        <asp:Label ID="lblInputStyle" runat="server" EnableViewState="false"></asp:Label></td>
                                    <td>
                                        <asp:TextBox ID="txtInputStyle" runat="server" SkinID="TextboxField"></asp:TextBox></td>
                                </tr>
                            </table>
                        </asp:Panel>
                        <%-- Display in form: END --%>
                    </asp:Panel>
                    <%-- Advanced mode END --%>
                    <%-- Category --%>
                    <asp:Panel ID="pnlCategoryEdit" runat="server">
                        <asp:Label ID="lblSectionCategory" runat="server" SkinID="SectionTitle"></asp:Label>
                        <table border="0" cellpadding="0" cellspacing="5">
                            <tr>
                                <td class="TextColumn">
                                    <asp:Label ID="lblCategoryName" runat="server" EnableViewState="false"></asp:Label></td>
                                <td>
                                    <asp:TextBox ID="txtCategoryName" runat="server" SkinID="TextboxField"></asp:TextBox></td>
                            </tr>
                        </table>
                    </asp:Panel>
                    <%-- Simplified mode BEGIN --%>
                    <asp:Panel ID="pnlSimpleAttributeEdit" runat="server">
                        <table border="0" cellpadding="0" cellspacing="5">
                            <tr>
                                <td class="TextColumn">
                                    <asp:Label ID="lblSimpleColumnName" runat="server" EnableViewState="false"></asp:Label></td>
                                <td>
                                    <asp:TextBox ID="txtSimpleColumnName" runat="server" SkinID="TextboxField"></asp:TextBox></td>
                            </tr>
                            <asp:Placeholder ID="pnlSimplePublicField" runat="server">
                                <tr>
                                    <td class="TextColumn">
                                        <asp:Label ID="lblSimplePublicField" runat="server" EnableViewState="false"></asp:Label></td>
                                    <td>
                                        <asp:CheckBox ID="chkSimplePublicField" runat="server" SkinID="CheckBoxMovedLeft"></asp:CheckBox></td>
                                </tr>
                            </asp:Placeholder>
                            <tr>
                                <td class="TextColumn">
                                    <asp:Label ID="lblSimpleFieldCaption" runat="server" EnableViewState="false"></asp:Label></td>
                                <td>
                                    <asp:TextBox ID="txtSimpleFieldCaption" runat="server" SkinID="TextboxField"></asp:TextBox></td>
                            </tr>
                            <tr>
                                <td class="TextColumn">
                                    <asp:Label ID="lblSimpleFieldType" runat="server" SkinID="DropDownField"></asp:Label></td>
                                <td>
                                    <asp:DropDownList ID="lstSimpleFieldType" runat="server" AutoPostBack="True" DataTextField="Text"
                                        DataValueField="Value" SkinID="DropDownField" OnSelectedIndexChanged="lstFieldType_SelectedIndexChanged">
                                    </asp:DropDownList></td>
                            </tr>
                            <tr>
                                <td class="TextColumn">
                                </td>
                                <td>
                                    <asp:Panel ID="pnlSimpleTextAreaSettings" runat="server">
                                        <table>
                                            <tr>
                                                <td class="TextColumnSettings">
                                                    <asp:Label ID="lblSimpleTextAreaCols" runat="server" EnableViewState="false"></asp:Label></td>
                                                <td>
                                                    <asp:TextBox ID="txtSimpleTextAreaCols" runat="server" SkinID="SmallTextBox"></asp:TextBox></td>
                                            </tr>
                                            <tr>
                                                <td class="TextColumnSettings">
                                                    <asp:Label ID="lblSimpleTextAreaRows" runat="server" EnableViewState="false"></asp:Label></td>
                                                <td>
                                                    <asp:TextBox ID="txtSimpleTextAreaRows" runat="server" SkinID="SmallTextBox"></asp:TextBox></td>
                                            </tr>
                                            <tr>
                                                <td class="TextColumnSettings">
                                                    <asp:Label ID="lblSimpleTextAreaSize" runat="server" EnableViewState="false"></asp:Label></td>
                                                <td>
                                                    <asp:TextBox ID="txtSimpleTextAreaSize" runat="server" SkinID="SmallTextBox"></asp:TextBox></td>
                                            </tr>
                                        </table>
                                    </asp:Panel>
                                    <asp:Panel ID="pnlSimpleHTMLAreaSettings" runat="server">
                                        <table>
                                            <tr>
                                                <td class="TextColumnSettings">
                                                    <asp:Label ID="lblSimpleHTMLAreaWidth" runat="server" EnableViewState="false"></asp:Label></td>
                                                <td>
                                                    <asp:TextBox ID="txtSimpleHTMLAreaWidth" runat="server" SkinID="SmallTextBox"></asp:TextBox></td>
                                            </tr>
                                            <tr>
                                                <td class="TextColumnSettings">
                                                    <asp:Label ID="lblSimpleHTMLAreaHeight" runat="server" EnableViewState="false"></asp:Label></td>
                                                <td>
                                                    <asp:TextBox ID="txtSimpleHTMLAreaHeight" runat="server" SkinID="SmallTextBox"></asp:TextBox></td>
                                            </tr>
                                            <tr>
                                                <td class="TextColumnSettings">
                                                    <asp:Label ID="lblSimpleHTMLAreaSize" runat="server" EnableViewState="false"></asp:Label></td>
                                                <td>
                                                    <asp:TextBox ID="txtSimpleHTMLAreaSize" runat="server" SkinID="SmallTextBox"></asp:TextBox></td>
                                            </tr>
                                        </table>
                                    </asp:Panel>
                                    <asp:Panel ID="pnlSimpleDropDownListSettings" runat="server">
                                        <asp:RadioButton ID="radSimpleDropDownListOptions" runat="server" Checked="True"
                                            GroupName="dropdownlistsettings"></asp:RadioButton>
                                        <br />
                                        <asp:RadioButton ID="radSimpleDropDownListSQL" runat="server" GroupName="dropdownlistsettings">
                                        </asp:RadioButton>
                                        <br />
                                        <asp:TextBox ID="txtSimpleDropDownListOptions" runat="server" SkinID="TextAreaField"
                                            TextMode="MultiLine"></asp:TextBox>
                                    </asp:Panel>
                                    <asp:Panel ID="pnlSimpleCalendarSettings" runat="server">
                                        <asp:CheckBox ID="chkSimpleCalendarSettingsEditTime" runat="server" Checked="True"
                                            SkinID="CheckBoxMovedLeft"></asp:CheckBox>
                                    </asp:Panel>
                                    <asp:Panel ID="pnlSimpleMultipleChoice" runat="server">
                                        <asp:RadioButton ID="radSimpleMultipleChoiceOptions" runat="server" Checked="True"
                                            GroupName="multiplechoicesettings"></asp:RadioButton>
                                        <br />
                                        <asp:RadioButton ID="radSimpleMultipleChoiceSQL" runat="server" GroupName="multiplechoicesettings">
                                        </asp:RadioButton>
                                        <br />
                                        <asp:TextBox ID="txtSimpleMultipleChoiceOptions" runat="server" Rows="8" Columns="32"
                                            TextMode="MultiLine"></asp:TextBox>
                                    </asp:Panel>
                                    <asp:Panel ID="pnlSimpleTextBox" runat="server">
                                        <table>
                                            <tr>
                                                <td class="TextColumnSettings">
                                                    <asp:Label ID="lblSimpleTextBoxMaxLength" runat="server" EnableViewState="false"></asp:Label></td>
                                                <td>
                                                    <asp:TextBox ID="txtSimpleTextBoxMaxLength" runat="server" SkinID="SmallTextBox"></asp:TextBox></td>
                                            </tr>
                                        </table>
                                    </asp:Panel>
                                    <asp:Panel ID="pnlSimpleImageSelection" runat="server">
                                        <table>
                                            <tr>
                                                <td class="TextColumnSettings">
                                                    <asp:Label ID="lblSimpleImageWidth" runat="server" EnableViewState="false"></asp:Label></td>
                                                <td>
                                                    <asp:TextBox ID="txtSimpleImageWidth" runat="server" SkinID="SmallTextBox"></asp:TextBox></td>
                                            </tr>
                                            <tr>
                                                <td class="TextColumnSettings">
                                                    <asp:Label ID="lblSimpleImageHeight" runat="server" EnableViewState="false"></asp:Label></td>
                                                <td>
                                                    <asp:TextBox ID="txtSimpleImageHeight" runat="server" SkinID="SmallTextBox"></asp:TextBox></td>
                                            </tr>
                                            <tr>
                                                <td class="TextColumnSettings">
                                                    <asp:Label ID="lblSimpleImageMaxSideSize" runat="server" EnableViewState="false"></asp:Label></td>
                                                <td>
                                                    <asp:TextBox ID="txtSimpleImageMaxSideSize" runat="server" SkinID="SmallTextBox"></asp:TextBox></td>
                                            </tr>
                                        </table>
                                    </asp:Panel>
                                </td>
                            </tr>
                            <tr>
                                <td class="TextColumn">
                                    <asp:Label ID="lblSimpleAllowEmpty" runat="server" EnableViewState="false"></asp:Label></td>
                                <td>
                                    <asp:CheckBox ID="chkSimpleAllowEmpty" runat="server" SkinID="CheckBoxMovedLeft"></asp:CheckBox></td>
                            </tr>
                            <tr>
                                <td class="TextColumn">
                                    <asp:Label ID="lblSimpleDefaultValue" runat="server" EnableViewState="false"></asp:Label></td>
                                <td>
                                    <%-- default value --%>
                                    <asp:TextBox ID="txtSimpleDefault" runat="server" SkinID="TextboxField"></asp:TextBox>
                                    <asp:CheckBox ID="chkSimpleDefault" runat="server" SkinID="CheckBoxMovedLeft"></asp:CheckBox>
                                    <cc1:DateTimePicker ID="datetimeSimpleDefault" runat="server"></cc1:DateTimePicker>
                                </td>
                            </tr>
                        </table>
                    </asp:Panel>
                    <%-- Simplified mode END --%>
                </asp:Panel>
                <%-- FieldEditorContent END --%>
                <asp:Panel ID="pnlFieldEditorFooterClass" runat="server" CssClass="FieldEditorFooter">
                    <asp:Button ID="btnOK" runat="server" SkinID="ContentButton" OnClick="btnOK_Click"></asp:Button>
                </asp:Panel>
            </td>
        </tr>
    </table>
</asp:Panel>
<asp:Literal ID="ltlConfirmText" runat="server" EnableViewState="false"></asp:Literal>
<asp:Literal ID="ltlScript" runat="server" EnableViewState="false"></asp:Literal>

<script type="text/javascript" language="javascript">
function confirmDelete()
{
	return confirm(document.getElementById('confirmdelete').value);
}
</script>

