<%@ Page Language="C#" AutoEventWireup="true" CodeFile="SpellCheck.aspx.cs" Inherits="Check"
    ClassName="PopUpSpell" ValidateRequest="False" Theme="Default" %>

<%@ Register Src="../PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Spell Check</title>
    <base target="_self" />

    <script language="javascript" type="text/javascript">
    <!--
       var wopener = window.dialogArguments;
       if ( wopener == null )
       {
            wopener = opener;
       }
    -->
    </script>

    <script language="JavaScript" src="spell.js" type="text/javascript"></script>

</head>
<body id="SpellingBody" style="margin: 0px" runat="server">
    <form id="SpellingForm" name="SpellingForm" method="post" runat="server">
        <input id="WordIndex" type="hidden" value="0" name="WordIndex" runat="server" />
        <input id="CurrentText" type="hidden" name="CurrentText" runat="server" />
        <input id="IgnoreList" type="hidden" name="IgnoreList" runat="server" />
        <input id="ReplaceKeyList" type="hidden" name="ReplaceKeyList" runat="server" />
        <input id="ReplaceValueList" type="hidden" name="ReplaceValueList" runat="server" />
        <input id="ElementIndex" type="hidden" value="-1" name="ElementIndex" runat="server" />
        <input id="SpellMode" type="hidden" value="load" name="SpellMode" runat="server" />
        <asp:Panel ID="ModalFrame" runat="server" Visible="False" EnableViewState="False">
            <iframe id="SpellCheckFrame" hidefocus="hidefocus" name="SpellCheckFrame" src="SpellCheck.aspx"
                frameborder="0" width="100%" scrolling="no" height="380" runat="server"></iframe>
        </asp:Panel>
        <asp:Panel runat="server" ID="pnlTitle" SkinID="PageHeader">
            <uc1:PageTitle ID="titleElem" runat="server" />
        </asp:Panel>
        <asp:Panel runat="server" ID="SuggestionForm" SkinID="PageContent">
            <asp:Label ID="lblError" runat="server" EnableViewState="false" SkinID="ErrorLabel" Visible="false" />
            <table cellspacing="0" cellpadding="2" width="100%">
                <tbody>
                    <tr>
                        <td style="width: 250px">
                            <em>Word Not in Dictionary:</em>
                        </td>
                        <td>
                            <asp:Button ID="IgnoreButton" OnClick="IgnoreButton_Click" runat="server" EnableViewState="False"
                                Enabled="False" SkinID="ContentButton" Text="Ignore"></asp:Button>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label ID="CurrentWord" runat="server" Font-Bold="True" ForeColor="Red"></asp:Label></td>
                        <td>
                            <asp:Button ID="IgnoreAllButton" OnClick="IgnoreAllButton_Click" runat="server" EnableViewState="False"
                                Enabled="False" SkinID="ContentButton" Text="Ignore All"></asp:Button>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <em>Change To:</em>
                        </td>
                        <td>
                            <p>
                                &nbsp;</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:TextBox ID="ReplacementWord" runat="server" EnableViewState="False" Enabled="False"
                                SkinID="TextboxField" Columns="30" Width="230px"></asp:TextBox>
                        </td>
                        <td>
                            <asp:Button ID="AddButton" OnClick="AddButton_Click" runat="server" EnableViewState="False"
                                Enabled="False" SkinID="ContentButton" Text="Add"></asp:Button>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <em>Suggestions:</em>
                        </td>
                        <td>
                            <p>
                                &nbsp;</p>
                        </td>
                    </tr>
                    <tr>
                        <td rowspan="5">
                            <asp:ListBox ID="Suggestions" runat="server" EnableViewState="False" Enabled="False"
                                SkinID="ContentListBoxLow" Width="230px"></asp:ListBox>
                        </td>
                        <td>
                            <asp:Button ID="ReplaceButton" OnClick="ReplaceButton_Click" runat="server" EnableViewState="False"
                                Enabled="False" SkinID="ContentButton" Text="Replace"></asp:Button>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Button ID="ReplaceAllButton" OnClick="ReplaceAllButton_Click" runat="server"
                                EnableViewState="False" Enabled="False" SkinID="ContentButton" Text="Replace All">
                            </asp:Button>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p>
                                &nbsp;</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p>
                                &nbsp;</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <input class="ContentButton" id="btnCancel" onclick="closeWindow()" type="button"
                                value="Cancel" name="btnCancel" />
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <asp:Label ID="StatusText" runat="Server" ForeColor="DimGray" Font-Size="8pt">Loading
                                            ...</asp:Label></td>
                    </tr>
                </tbody>
            </table>
        </asp:Panel>
    </form>
</body>
</html>
