<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Relateddocs_Add.aspx.cs"
    Inherits="CMSDesk_Content_Relateddocs_Add" Theme="Default" %>

<%@ Register Src="../../../CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Document relationship</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height: 100%;
        }
    </style>

    <script language="javascript" type="text/javascript">
    <!--
        var currentOnLeft = true;
        
        function SwitchSides()
        {
            currentOnLeft = (!currentOnLeft);
            if (currentOnLeft)
            {
                document.getElementById('leftCurrentNode').style.display = 'block';
                document.getElementById('leftSelectedNode').style.display = 'none';
                document.getElementById('rightCurrentNode').style.display = 'none';
                document.getElementById('rightSelectedNode').style.display = 'block';
                document.getElementById('currentOnLeft').value = 'true';         
            }
            else
            {
                document.getElementById('leftCurrentNode').style.display = 'none';
                document.getElementById('leftSelectedNode').style.display = 'block';
                document.getElementById('rightCurrentNode').style.display = 'block';
                document.getElementById('rightSelectedNode').style.display = 'none';
                document.getElementById('currentOnLeft').value = 'false';
            }
            return false;
        }
    -->
    </script>

</head>
<body class="VerticalTabsBody <%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel ID="pnlBody" runat="server" SkinID="VerticalTabsPageBody">
            <asp:Panel ID="pnlHeader" runat="server" SkinID="PageHeader">
                <uc1:PageTitle ID="PageTitle1" runat="server" />
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlContent" SkinID="PageContent">
                <asp:Label runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false"
                    Visible="false" />
                <asp:Label runat="server" ID="lblError" SkinID="ErrorLabel" EnableViewState="false"
                    Visible="false" />
                <asp:Table ID="TableRelationship" runat="server" BorderColor="black" BorderStyle="solid"
                    BorderWidth="1" CellPadding="5" CellSpacing="0" Width="100%">
                    <asp:TableHeaderRow BackColor="#EEEEEE">
                        <asp:TableHeaderCell ID="leftCell" HorizontalAlign="Left" />
                        <asp:TableHeaderCell ID="middleCell" HorizontalAlign="Center" />
                        <asp:TableHeaderCell ID="rightCell" HorizontalAlign="Right" />
                    </asp:TableHeaderRow>
                    <asp:TableRow>
                        <asp:TableCell HorizontalAlign="Left" Width="40%" VerticalAlign="Top">
                            <div id="leftCurrentNode" style="display: block; padding: 3px;">
                                <asp:Label ID="lblLeftNode" runat="server"></asp:Label>
                            </div>
                            <div id="leftSelectedNode" style="display: none">
                                <asp:TextBox ID="txtLeftNode" runat="server" SkinID="textboxfield" Width="250"></asp:TextBox><br />
                                <asp:Button ID="btnLeftNode" runat="server" SkinID="ContentButton" />
                            </div>
                        </asp:TableCell>
                        <asp:TableCell HorizontalAlign="center" Width="20%">
                            <asp:DropDownList ID="drpRelationship" runat="server" SkinID="DropDownField" /><br />
                            <asp:Button ID="btnSwitchSides" runat="server" OnClientClick="SwitchSides();return false;"
                                SkinID="ContentButton" />
                        </asp:TableCell>
                        <asp:TableCell HorizontalAlign="right" Width="40%" VerticalAlign="Top">
                            <div id="rightCurrentNode" style="display: none; padding: 3px;">
                                <asp:Label ID="lblRightNode" runat="server"></asp:Label>
                            </div>
                            <div id="rightSelectedNode" style="display: block;">
                                <asp:TextBox ID="txtRightNode" runat="server" SkinID="textboxfield" Width="250"></asp:TextBox><br />
                                <asp:Button ID="btnRightNode" runat="server" />
                            </div>
                        </asp:TableCell>
                    </asp:TableRow>
                </asp:Table>
                <br />
                <table width="100%">
                    <tr>
                        <td align="right">
                            <asp:Button ID="btnOk" runat="server" Text="" OnClick="btnOk_Click" SkinID="ContentButton" /></td>
                    </tr>
                </table>
                <input type="hidden" id="selectedNodeId" name="selectedNodeId" />
                <input type="hidden" id="currentOnLeft" name="currentOnLeft" value="true" />
                <asp:Literal ID="ltlScript" runat="server" EnableViewState="false"></asp:Literal>
            </asp:Panel>
        </asp:Panel>
    </form>

    <script language="javascript" type="text/javascript">
    <!--
        function DialogSelectNode(nodeId, nodeName)
        {
            document.getElementById('txtRightNode').value = nodeName;
            document.getElementById('txtLeftNode').value = nodeName;
            document.getElementById('selectedNodeId').value = nodeId;
        }
    -->
    </script>

</body>
</html>
