<%@ Page Language="C#" AutoEventWireup="true" CodeFile="BizForm_Edit_Data.aspx.cs"
    Inherits="CMSDesk_Tools_BizForms_BizForm_Edit_Data" EnableEventValidation="false"
    Theme="Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>BizForm Data</title>
    <style type="text/css">
		body
		{
			margin: 0px;
			padding: 0px;
			height:100%; 
		}
	</style>
</head>
<body class="TabsBody <%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel runat="server" ID="pnlBody" SkinID="TabsPageBody">
            <asp:Panel runat="server" ID="pnlScroll" SkinID="TabsPageScrollArea">
                <asp:Panel runat="server" ID="pnlTab" SkinID="TabsPageContent">
                    <asp:Panel ID="pnlActions" runat="server" SkinID="PageHeaderLine">
                        <asp:Panel runat="server" ID="pnlNew" SkinID="PageHeaderItem">
                            <asp:Image ID="imgNewRecord" runat="server" SkinID="NewItemImage" />
                            <asp:HyperLink ID="lnkNewRecord" runat="server" SkinID="NewItemLink" />
                        </asp:Panel>
                        <asp:Panel runat="server" ID="pnlImport" SkinID="PageHeaderItem">
                            <asp:Image ID="imgSelectFields" runat="server" SkinID="NewItemImage" />
                            <asp:HyperLink ID="lnkSelectFields" runat="server" SkinID="NewItemLink" />
                        </asp:Panel>
                        <asp:Panel runat="server" ID="pnlExport" SkinID="PageHeaderItem">
                            <asp:Image ID="imgExportXLS" runat="server" SkinID="NewItemImage" />
                            <asp:HyperLink ID="lnkExportXLS" runat="server" SkinID="NewItemLink" />
                        </asp:Panel>
                        <asp:Panel runat="server" ID="pnlExport2007" SkinID="PageHeaderItem">
                            <asp:Image ID="imgExport2007" runat="server" SkinID="NewItemImage" />
                            <asp:HyperLink ID="lnkExport2007" runat="server" SkinID="NewItemLink" />
                        </asp:Panel>
                        <br clear="all" />
                    </asp:Panel>
                    <asp:Panel runat="server" ID="pnlContent" SkinID="PageContent">
                        <asp:GridView ID="gridData" runat="server" AutoGenerateColumns="false" CellPadding="3"
                            SkinID="UniGridGrid" AllowPaging="true" PageSize="20" OnPageIndexChanging="gridData_PageIndexChanging">
                            <HeaderStyle HorizontalAlign="Left" CssClass="UniGridHead" />
                            <Columns>                            
                                <asp:TemplateField HeaderText="Action">
                                    <ItemTemplate>
                                        <asp:ImageButton runat="server" ID="btnEdit" ToolTip='<%#editToolTip %>' ImageUrl='<%#"~/App_Themes/" + this.Theme + "/Images/CMSDesk/Tools/BizForms/edit.gif"%>' />&nbsp;
                                        <asp:ImageButton runat="server" ID="btnDelete" ToolTip='<%#deleteToolTip %>' ImageUrl='<%#"~/App_Themes/" + this.Theme + "/Images/CMSDesk/Tools/BizForms/delete.gif"%>'
                                            CommandName="delete" OnCommand="btnDelete_OnCommand" OnClientClick="return DeleteConfirm();" />
                                    </ItemTemplate>
                                </asp:TemplateField>
                            </Columns>
                        </asp:GridView>
                    </asp:Panel>
                </asp:Panel>
            </asp:Panel>
        </asp:Panel>
    </form>

    <script type="text/javascript" language="javascript">
    <!--
        var deleteConfirmation = '';
        
        function DeleteConfirm()
        {
           return confirm(deleteConfirmation); 
        }
        
        function EditRecord(formId, recordId)
        {
            document.location.replace('BizForm_Edit_EditRecord.aspx?formID=' + formId + '&formRecordID=' + recordId);
        }
    -->    
    </script>

    <asp:Literal ID="ltlScript" runat="server"></asp:Literal>
</body>
</html>
