<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Customer_Edit_Address_Edit.aspx.cs"
    Inherits="CMSDesk_Tools_Ecommerce_Customers_Edit_Address_Customer_Edit_Address_Edit"
    Theme="Default" %>

<%@ Register Src="~/CMSFormControls/CountrySelector.ascx" TagName="CountrySelector"
    TagPrefix="uc2" %>
<%@ Register Src="~/CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Address properties</title>
    <style type="text/css">
		body
		{
			margin: 0px;
			padding: 0px;
			height:100%; 
		}
	</style>
</head>
<body class="<%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel runat="server" ID="Panel1" SkinID="TabsPageBody">
            <asp:Panel runat="server" ID="Panel2" SkinID="TabsPageContainer">
                <asp:Panel runat="server" ID="pnlScroll" SkinID="TabsPageScrollArea2">
                    <asp:Panel runat="server" SkinID="tabspagecontent" ID="pnlTabsContent">
                    <asp:Panel ID="pnlHeader" runat="server" SkinID="PageHeader">
                        <uc1:PageTitle ID="PageTitle" runat="server" />
                    </asp:Panel>
                    <asp:Panel ID="pblContent" runat="server" SkinID="PageContent">
                        <asp:Label runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false"
                            Visible="false" />
                        <asp:Label runat="server" ID="lblError" SkinID="ErrorLabel" EnableViewState="false"
                            Visible="false" />
                        <table style="vertical-align: top">
                            <tr>
                                <td>
                                    <asp:Label runat="server" ID="lblPersonalName" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtPersonalName" runat="server" SkinID="TextboxField" MaxLength="200" />
                                </td>
                                <td>
                                    <asp:RequiredFieldValidator ID="rqvPersonalName" runat="server" ControlToValidate="txtPersonalName"
                                        ValidationGroup="Address" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel" valign="top">
                                    <asp:Label runat="server" ID="lblAddressLine1" EnableViewState="false" /></td>
                                <td>
                                    <table border="0" cellpadding="0" cellspacing="0">
                                        <tr>
                                            <td>
                                                <asp:TextBox ID="txtAddressLine1" runat="server" SkinID="TextboxField" MaxLength="100" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <asp:TextBox ID="txtAddressLine2" runat="server" SkinID="TextboxField" MaxLength="100" />
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                                <td valign="top">
                                    <asp:RequiredFieldValidator ID="rqvLine" runat="server" ControlToValidate="txtAddressLine1"
                                        ValidationGroup="Address" /></td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblAddressCity" EnableViewState="false" /></td>
                                <td>
                                    <asp:TextBox ID="txtAddressCity" runat="server" SkinID="TextboxField" MaxLength="100" /></td>
                                <td>
                                    <asp:RequiredFieldValidator ID="rqvCity" runat="server" ControlToValidate="txtAddressCity"
                                        ValidationGroup="Address" /></td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblAddressZip" EnableViewState="false" /></td>
                                <td>
                                    <asp:TextBox ID="txtAddressZip" runat="server" SkinID="TextboxField" MaxLength="20" /></td>
                                <td>
                                    <asp:RequiredFieldValidator ID="rqvZipCode" runat="server" ValidationGroup="Address"
                                        ControlToValidate="txtAddressZip" Display="Dynamic" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblAddressCountry" EnableViewState="false" />
                                </td>
                                <td>
                                    <uc2:CountrySelector ID="ucCountrySelector" runat="server" UseCodeNameForSelection="false" />
                                </td>
                                <td>
                                    &nbsp;</td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblAddressDeliveryPhone" EnableViewState="false" /></td>
                                <td>
                                    <asp:TextBox ID="txtAddressDeliveryPhone" runat="server" SkinID="TextboxField" MaxLength="100" /></td>
                                <td>
                                    &nbsp;</td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblAddressEnabled" EnableViewState="false" /></td>
                                <td>
                                    <asp:CheckBox ID="chkAddressEnabled" runat="server" SkinID="CheckBoxMovedLeft" Checked="true" /></td>
                                <td>
                                    &nbsp;</td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblAddressIsShipping" EnableViewState="false" /></td>
                                <td>
                                    <asp:CheckBox ID="chkAddressIsShipping" runat="server" SkinID="CheckBoxMovedLeft" Checked="true" /></td>
                                <td>
                                    &nbsp;</td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblAddressIsBilling" EnableViewState="false" /></td>
                                <td>
                                    <asp:CheckBox ID="chkAddressIsBilling" runat="server" SkinID="CheckBoxMovedLeft" Checked="true" /></td>
                                <td>
                                    &nbsp;</td>
                            </tr>
                            <tr>
                                <td>
                                </td>
                                <td>
                                    <br />
                                    <asp:Button runat="server" ID="btnOK" OnClick="btnOK_Click" EnableViewState="false"
                                        SkinID="ContentButton" ValidationGroup="Address" /></td>
                                <td>
                                    &nbsp;</td>
                            </tr>
                        </table>
                    </asp:Panel>
                    </asp:Panel>
                </asp:Panel>
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
