<%@ Control Language="C#" AutoEventWireup="true" CodeFile="NewProduct.ascx.cs" Inherits="CMSFormControls_NewProduct" %>
<%@ Register Assembly="CMS.Controls" Namespace="CMS.Controls" TagPrefix="cc1" %>
<%@ Register TagPrefix="fckeditorv2" Namespace="CMS.FCKeditorV2" Assembly="CMS.FCKeditorV2" %>

<asp:Label runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false"
                    Visible="false" />
                <asp:Label runat="server" ID="lblError" SkinID="ErrorLabel" EnableViewState="false"
                    Visible="false" />
<table style="vertical-align: top; padding-top: 5px;">
    <tr>
        <td class="FieldLabel">
            <asp:Label runat="server" ID="lblSKUName" EnableViewState="false" /></td>
        <td>
            <asp:TextBox ID="txtSKUName" runat="server" SkinID="TextboxField" MaxLength="200" />
            <asp:RequiredFieldValidator ID="rfvSKUName" runat="server" ControlToValidate="txtSKUName"
                Display="Dynamic"></asp:RequiredFieldValidator></td>
    </tr>
    <tr>
        <td class="FieldLabel">
            <asp:Label runat="server" ID="lblSKUNumber" EnableViewState="false" /></td>
        <td>
            <asp:TextBox ID="txtSKUNumber" runat="server" SkinID="TextboxField" MaxLength="200" />
            <%--<asp:RequiredFieldValidator ID="rfvSKUNumber" runat="server" ControlToValidate="txtSKUNumber"
                Display="Dynamic"></asp:RequiredFieldValidator>--%></td>
    </tr>
    <tr>
        <td style="vertical-align: top; padding-top: 5px" class="FieldLabel">
            <asp:Label runat="server" ID="lblSKUDescription" EnableViewState="false" /></td>
        <td>
            <%--<asp:TextBox ID="txtSKUDescription" runat="server" TextMode="MultiLine" SkinID="TextAreaField" />--%>
            <fckeditorv2:FCKeditor ID="fckTemplateBody" runat="server" Width="400px" Height="300px" />
            </td>
    </tr>
    <tr>
        <td class="FieldLabel">
            <asp:Label runat="server" ID="lblSKUPrice" EnableViewState="false" /></td>
        <td>
            <asp:TextBox ID="txtSKUPrice" runat="server" SkinID="TextboxField" />
            <asp:RequiredFieldValidator ID="rfvSKUPrice" runat="server" ControlToValidate="txtSKUPrice"
                Display="Dynamic"></asp:RequiredFieldValidator></td>
    </tr>
    <tr>
        <td class="FieldLabel">
            <asp:Label runat="server" ID="lblSKUEnabled" EnableViewState="false" /></td>
        <td>
            <asp:CheckBox ID="chkSKUEnabled" runat="server" SkinID="CheckBoxMovedLeft" Checked="true" /></td>
    </tr>
    <tr>
        <td class="FieldLabel">
            <asp:Label runat="server" ID="lblSKUDepartmentID" EnableViewState="false" /></td>
        <td>
            <asp:DropDownList ID="drpSKUDepartmentID" runat="server" SkinID="DropDownField" DataTextField="DepartmentDisplayName" DataValueField="DepartmentID">
            </asp:DropDownList></td>
    </tr>
    <tr>
        <td class="FieldLabel">
            <asp:Label runat="server" ID="lblSKUManufacturerID" EnableViewState="false" /></td>
        <td>
            <asp:DropDownList ID="drpSKUManufacturerID" runat="server" SkinID="DropDownField" DataTextField="ManufacturerDisplayName" DataValueField="ManufacturerID">
            </asp:DropDownList></td>
    </tr>
    <tr>
        <td class="FieldLabel">
            <asp:Label runat="server" ID="lblSKUSupplierID" EnableViewState="false" /></td>
        <td>
            <asp:DropDownList ID="drpSKUSupplierID" runat="server" SkinID="DropDownField" DataTextField="SupplierDisplayName" DataValueField="SupplierID">
            </asp:DropDownList></td>
    </tr>
    <tr>
        <td class="FieldLabel">
            <asp:Label runat="server" ID="lblSKUPublicStatusID" EnableViewState="false" /></td>
        <td>
            <asp:DropDownList ID="drpSKUPublicStatusID" runat="server" SkinID="DropDownField" DataTextField="PublicStatusDisplayName" DataValueField="PublicStatusID">
            </asp:DropDownList></td>
    </tr>
    <tr>
        <td class="FieldLabel">
            <asp:Label runat="server" ID="lblSKUInternalStatusID" EnableViewState="false" /></td>
        <td>
            <asp:DropDownList ID="drpSKUInternalStatusID" runat="server" SkinID="DropDownField" DataTextField="InternalStatusDisplayName" DataValueField="InternalStatusID">
            </asp:DropDownList></td>
    </tr>
    <tr>
        <td class="FieldLabel">
            <asp:Label runat="server" ID="lblSKUAvailableInDays" EnableViewState="false" /></td>
        <td>
            <asp:TextBox ID="txtSKUAvailableInDays" runat="server" SkinID="TextboxField" /></td>
    </tr>
    <tr>
        <td class="FieldLabel">
            <asp:Label runat="server" ID="lblSKUImagePath" EnableViewState="false" /></td>
        <td>  
            <cc1:ImageSelector ID="imgSelect" runat="server" ImageHeight="50" ShowImagePreview="true" ShowClearButton="true" UseImagePath="true"/></td>                        
    </tr>
    <tr>
        <td class="FieldLabel">
            <asp:Label runat="server" ID="lblSKUWeight" EnableViewState="false" /></td>
        <td>
            <asp:TextBox ID="txtSKUWeight" runat="server" SkinID="TextboxField" EnableViewState="false"/></td>
    </tr>
    <tr>
        <td class="FieldLabel">
            <asp:Label runat="server" ID="lblSKUHeight" EnableViewState="false" /></td>
        <td>
            <asp:TextBox ID="txtSKUHeight" runat="server" SkinID="TextboxField" EnableViewState="false"/></td>
    </tr>
    <tr>
        <td class="FieldLabel">
            <asp:Label runat="server" ID="lblSKUWidth" EnableViewState="false" /></td>
        <td>
            <asp:TextBox ID="txtSKUWidth" runat="server" SkinID="TextboxField" EnableViewState="false"/></td>
    </tr>
    <tr>
        <td class="FieldLabel">
            <asp:Label runat="server" ID="lblSKUDepth" EnableViewState="false" /></td>
        <td>
            <asp:TextBox ID="txtSKUDepth" runat="server" SkinID="TextboxField" EnableViewState="false"/></td>
    </tr>                             
    <tr>
        <td style="height: 45px">
        </td>
        <td style="height: 45px">
            <br />
            <asp:Button runat="server" ID="btnOK" EnableViewState="false"
                SkinID="ContentButton" OnClick="btnOK_Click" /></td>
    </tr>
</table>
