<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ForumFlatView.ascx.cs"
    Inherits="CMSForum_ForumFlatView" %>
<%@ Register Src="NewSubscription.ascx" TagName="NewSubscription" TagPrefix="uc3" %>
<%@ Register Src="ForumNewPost.ascx" TagName="ForumNewPost" TagPrefix="uc2" %>
<%@ Register Src="ForumPost.ascx" TagName="ForumPost" TagPrefix="uc1" %>
<%@ Register Src="~/CMSAdminControls/BreadCrumbs.ascx" TagName="BreadCrumbs" TagPrefix="uc5" %>
<%--TestForumPost--%>
<%@ Register Assembly="CMS.Controls" Namespace="CMS.Controls" TagPrefix="cc1" %>
<div class="ForumFlat">
    <table class="Table" cellpadding="0" cellspacing="0">
        <asp:PlaceHolder ID="plcInfoArea" runat="server">
            <tr class="Info">
                <td>
                    <asp:Label ID="lblForumHeader" runat="server" CssClass="ForumName" EnableViewState="false" />
                    <asp:Label ID="lblForumHeaderDescription" runat="server" CssClass="ForumDescription"
                        EnableViewState="false" />
                </td>
            </tr>
        </asp:PlaceHolder>
        <tr class="Actions">
            <td>
                <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; border: 0px;
                    background: none; padding: 0px; margin: 0px;">
                    <tr>
                        <td style="border: none; padding: 0px; margin: 0px; background: none;">
                            <asp:HyperLink ID="lnkNewThread" runat="server" CssClass="ActionLink" Visible="false"
                                EnableViewState="false" />
                            <asp:Label ID="lblLinkSeparator" runat="server" Visible="false" />
                            <asp:HyperLink ID="lnkSubscription" runat="server" CssClass="ActionLink" Visible="false"
                                EnableViewState="false" />
                            <asp:Label ID="lblSeparator" runat="server" />
                            <span class="ForumBreadCrumbs">
                                <uc5:BreadCrumbs ID="BreadCrumbs" runat="server" />
                            </span>&nbsp;
                        </td>
                        <td style="text-align: right; border: none; padding: 0px; margin: 0px; background: none;">
                            <asp:Label ID="lblModes" runat="server" Visible="false"> </asp:Label>
                            <asp:DropDownList runat="server" ID="drpModes" AutoPostBack="true" Visible="false">
                            </asp:DropDownList>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <asp:PlaceHolder runat="server" ID="plcInformations" EnableViewState="false" Visible="false">
            <tr class="Informations">
                <td>
                    <asp:Label runat="server" ID="lblInformations"></asp:Label>
                </td>
            </tr>
        </asp:PlaceHolder>
        <tr>
            <td class="ForumContent">
                <asp:HiddenField ID="hdnPostId" runat="server" EnableViewState="false" />
                <asp:HiddenField ID="hdnShowId" runat="server" EnableViewState="false" />
                <asp:HiddenField ID="hdnSubscribeId" runat="server" EnableViewState="false" />
                <uc3:NewSubscription ID="frmNewsubscribe" runat="server" />
                <uc2:ForumNewPost ID="frmNewPost" runat="server" />
                
                <asp:Button ID="btnPostb" runat="server" Text="Button" SkinID="HiddenButton" OnClick="btnPostb_Click"
                    CssClass="HiddenButton" />
                <%--Threads--%>
                <asp:PlaceHolder runat="server" ID="Threads">
                    <asp:DataGrid ID="dtgThreads" runat="server" AutoGenerateColumns="False" CellSpacing="0"
                        CellPadding="0" CssClass="ThreadTable" ShowHeader="True" PageSize="15" AllowPaging="true"
                        PagerStyle-Mode="NumericPages" GridLines="None" Width="100%">
                        <HeaderStyle CssClass="Header" />
                        <ItemStyle CssClass="Thread" />
                        <PagerStyle CssClass="Pager" />
                        <Columns>
                            <asp:TemplateColumn>
                                <HeaderStyle CssClass="ThreadName" />
                                <ItemStyle CssClass="ThreadInfo" />
                                <ItemTemplate>
                                    <asp:HyperLink ID="lnkThread" runat="server" NavigateUrl='<%# ThreadLink(DataBinder.Eval(Container.DataItem, "PostID")) %>'
                                        CssClass="ThreadName">
                                        <%# DataBinder.Eval(Container.DataItem, "PostSubject") %>
                                    </asp:HyperLink>
                                </ItemTemplate>
                            </asp:TemplateColumn>
                            <asp:BoundColumn DataField="PostUserName">
                                <HeaderStyle CssClass="Author" />
                                <ItemStyle CssClass="Author" />
                            </asp:BoundColumn>
                            <asp:BoundColumn DataField="PostThreadPosts">
                                <HeaderStyle CssClass="Posts" />
                                <ItemStyle CssClass="Posts" />
                            </asp:BoundColumn>
                            <asp:TemplateColumn>
                                <HeaderStyle CssClass="LastPost" />
                                <ItemStyle CssClass="LastPost" />
                                <ItemTemplate>
                                    <asp:Label ID="lblLastUser" runat="server">
                                        <%# DataBinder.Eval(Container.DataItem, "PostThreadLastPostUserName") %>
                                    </asp:Label>
                                    <br />
                                    <asp:Label ID="lblLastTime" runat="server">
                                        <%# DataBinder.Eval(Container.DataItem, "PostThreadLastPostTime") %>
                                    </asp:Label>
                                </ItemTemplate>
                            </asp:TemplateColumn>
                        </Columns>
                    </asp:DataGrid>
                </asp:PlaceHolder>
                <%--Posts--%>
                <asp:PlaceHolder runat="server" ID="Posts" Visible="false">
                    <div class="Posts">
                        <asp:DataGrid Enabled="false" ID="dtgFlat" runat="server" AutoGenerateColumns="False"
                            CellSpacing="0" CellPadding="0" CssClass="PostsTable" ShowHeader="False" PageSize="10"
                            AllowPaging="true" PagerStyle-Mode="NumericPages" GridLines="None">
                            <ItemStyle CssClass="Post" />
                            <PagerStyle CssClass="Pager" />
                            <Columns>
                                <asp:TemplateColumn>
                                    <ItemTemplate>
                                    </ItemTemplate>
                                </asp:TemplateColumn>
                            </Columns>
                        </asp:DataGrid>
                    </div>
                </asp:PlaceHolder>
            </td>
        </tr>
    </table>
</div>
