CREATE TABLE [CMS_InlineControlSite] (
		[ControlID]     int NOT NULL,
		[SiteID]        int NOT NULL
)
ON [PRIMARY]
ALTER TABLE [CMS_InlineControlSite]
	ADD
	CONSTRAINT [PK__CMS_InlineContro__2DE6D218]
	PRIMARY KEY
	([ControlID], [SiteID])
	ON [PRIMARY]
IF OBJECT_ID(N'[CMS_InlineControlSite]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_InlineControl]') IS NOT NULL
	AND OBJECT_ID(N'[FK__CMS_Inlin__Contr__2EDAF651]') IS NULL
BEGIN
		ALTER TABLE [CMS_InlineControlSite]
			WITH NOCHECK
			ADD CONSTRAINT [FK__CMS_Inlin__Contr__2EDAF651]
			FOREIGN KEY ([ControlID]) REFERENCES [CMS_InlineControl] ([ControlID])
			NOT FOR REPLICATION
END
IF OBJECT_ID(N'[CMS_InlineControlSite]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_Site]') IS NOT NULL
	AND OBJECT_ID(N'[FK__CMS_Inlin__SiteI__2FCF1A8A]') IS NULL
BEGIN
		ALTER TABLE [CMS_InlineControlSite]
			WITH NOCHECK
			ADD CONSTRAINT [FK__CMS_Inlin__SiteI__2FCF1A8A]
			FOREIGN KEY ([SiteID]) REFERENCES [CMS_Site] ([SiteID])
			NOT FOR REPLICATION
END
