CREATE TABLE [Newsletter_EmailTemplate] (
		[TemplateID]              int NOT NULL IDENTITY(1, 1),
		[TemplateDisplayName]     nvarchar(250) NOT NULL,
		[TemplateName]            nvarchar(250) NOT NULL,
		[TemplateBody]            ntext NOT NULL,
		[TemplateSiteID]          int NOT NULL,
		[TemplateHeader]          ntext NOT NULL,
		[TemplateFooter]          ntext NOT NULL,
		[TemplateType]            nvarchar(50) NOT NULL
)
ON [PRIMARY]
TEXTIMAGE_ON [PRIMARY]
ALTER TABLE [Newsletter_EmailTemplate]
	ADD
	CONSTRAINT [PK__Newsletter_Email__3F115E1A]
	PRIMARY KEY
	([TemplateID])
	ON [PRIMARY]
IF OBJECT_ID(N'[Newsletter_EmailTemplate]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_Site]') IS NOT NULL
	AND OBJECT_ID(N'[FK__Newslette__Templ__40058253]') IS NULL
BEGIN
		ALTER TABLE [Newsletter_EmailTemplate]
			WITH NOCHECK
			ADD CONSTRAINT [FK__Newslette__Templ__40058253]
			FOREIGN KEY ([TemplateSiteID]) REFERENCES [CMS_Site] ([SiteID])
			NOT FOR REPLICATION
END
CREATE INDEX [IX_Newsletter_EmailTemplate]
	ON [Newsletter_EmailTemplate] ([TemplateDisplayName])
	ON [PRIMARY]
CREATE INDEX [IX_Newsletter_EmailTemplate_1]
	ON [Newsletter_EmailTemplate] ([TemplateName])
	ON [PRIMARY]
CREATE INDEX [IX_Newsletter_EmailTemplate_2]
	ON [Newsletter_EmailTemplate] ([TemplateSiteID])
	ON [PRIMARY]
CREATE INDEX [IX_Newsletter_EmailTemplate_3]
	ON [Newsletter_EmailTemplate] ([TemplateType])
	ON [PRIMARY]
