CREATE TABLE [Staging_Server] (
		[ServerID]                  int NOT NULL IDENTITY(1, 1),
		[ServerName]                nvarchar(100) NOT NULL,
		[ServerDisplayName]         nvarchar(450) NOT NULL,
		[ServerSiteID]              int NOT NULL,
		[ServerURL]                 nvarchar(450) NOT NULL,
		[ServerEnabled]             bit NOT NULL,
		[ServerAuthentication]      nvarchar(20) NOT NULL,
		[ServerUsername]            nvarchar(100) NULL,
		[ServerPassword]            nvarchar(100) NULL,
		[ServerX509ClientKeyID]     nvarchar(200) NULL,
		[ServerX509ServerKeyID]     nvarchar(200) NULL
)
ON [PRIMARY]
ALTER TABLE [Staging_Server]
	ADD
	CONSTRAINT [PK_Staging_Server]
	PRIMARY KEY
	([ServerID])
	ON [PRIMARY]
