<%@ Page Language="C#" AutoEventWireup="true" CodeFile="DocumentType_Edit_General.aspx.cs"
    Inherits="SiteManager_Development_DocumentTypes_DocumentType_General" Theme="Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Document Type Edit - General</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height: 100%;
        }
    </style>
</head>
<body class="TabsBody <%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel runat="server" ID="pnlBody" SkinID="TabsPageBody">
            <asp:Panel runat="server" ID="pnlScroll" SkinID="TabsPageScrollArea">
                <asp:Panel runat="server" ID="pnlTab" SkinID="TabsPageContent">
                    <asp:Panel ID="Panel1" runat="Server" SkinID="Pagecontent">
                        <asp:Label runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false"
                            Visible="false" />
                        <asp:Label runat="server" ID="lblError" SkinID="ErrorLabel" EnableViewState="false"
                            Visible="false" />
                        <table>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblDisplayName" EnableViewState="false" /></td>
                                <td>
                                    <asp:TextBox runat="server" ID="tbDisplayName" SkinID="TextboxField" MaxLength="100" />
                                    <asp:RequiredFieldValidator ID="RequiredFieldValidatorDisplayName" runat="server"
                                        EnableViewState="false" ControlToValidate="tbDisplayName" Display="dynamic" />
                                </td>
                            </tr>
                            <tr>
                                <td style="vertical-align: text-top; padding-top: 5px" class="FieldLabel">
                                    <asp:Label runat="server" ID="lblFullCodeName" EnableViewState="false" /></td>
                                <td>
                                    <table cellpadding="0" cellspacing="0">
                                        <tr>
                                            <td>
                                                <asp:TextBox runat="server" ID="tbNamespaceName" SkinID="TextboxField" MaxLength="49" /></td>
                                            <td>
                                                .</td>
                                            <td>
                                                <asp:TextBox runat="server" ID="tbCodeName" SkinID="TextboxField" MaxLength="50" /></td>
                                        </tr>
                                        <tr style="color: Green">
                                            <td>
                                                <asp:Label runat="server" ID="lblNamespaceName" EnableViewState="false" /></td>
                                            <td>
                                                &nbsp;</td>
                                            <td>
                                                <asp:Label runat="server" ID="lblCodeName" EnableViewState="false" /></td>
                                        </tr>
                                        <tr>
                                            <td colspan="3">
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidatorNamespaceName" runat="server"
                                                    EnableViewState="false" ControlToValidate="tbNamespaceName" Display="dynamic" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td colspan="3">
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidatorNameSpaceName" runat="server"
                                                    EnableViewState="false" Display="dynamic" ControlToValidate="tbNamespaceName" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td colspan="3">
                                                <asp:RequiredFieldValidator ID="RequiredFieldValidatorCodeName" runat="server" EnableViewState="false"
                                                    ControlToValidate="tbCodeName" Display="dynamic" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td colspan="3">
                                                <asp:RegularExpressionValidator ID="RegularExpressionValidatorCodeName" runat="server"
                                                    EnableViewState="false" Display="dynamic" ControlToValidate="tbCodeName" />
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblNewPage" EnableViewState="false" /></td>
                                <td>
                                    <asp:TextBox runat="server" ID="txtNewPage" SkinID="TextboxField" MaxLength="450" /></td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblViewPage" EnableViewState="false" /></td>
                                <td>
                                    <asp:TextBox runat="server" ID="txtViewPage" SkinID="TextboxField" MaxLength="450" /></td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblEditingPage" EnableViewState="false" /></td>
                                <td>
                                    <asp:TextBox runat="server" ID="tbEditingPage" SkinID="TextboxField" MaxLength="40" /></td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblPreviewPage" EnableViewState="false" /></td>
                                <td>
                                    <asp:TextBox runat="server" ID="txtPreviewPage" SkinID="TextboxField" MaxLength="450" /></td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblListPage" EnableViewState="false" /></td>
                                <td>
                                    <asp:TextBox runat="server" ID="tbListPage" SkinID="TextboxField" MaxLength="450" /></td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblClassUsePublishFromTo" EnableViewState="false" /></td>
                                <td>
                                    <asp:CheckBox runat="server" ID="chkClassUsePublishFromTo" SkinID="EditingFormCheckBox" /></td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblTemplateSelection" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:CheckBox runat="server" ID="chkTemplateSelection" SkinID="EditingFormCheckBox" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblIsMenuItem" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:CheckBox runat="server" ID="chkIsMenuItem" SkinID="EditingFormCheckBox" />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                </td>
                                <td>
                                    <br />
                                    <asp:Button runat="server" ID="btnOK" OnClick="btnOK_Click" SkinID="ContentButton"
                                        EnableViewState="false" /></td>
                            </tr>
                        </table>
                    </asp:Panel>
                </asp:Panel>
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
