<%@ Page Language="C#" AutoEventWireup="true" CodeFile="PageTemplate_Layouts.aspx.cs"
    Inherits="CMSSiteManager_Development_PageTemplates_PageTemplate_Layouts" Theme="Default"
    ValidateRequest="false" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<%@ Register Assembly="CMS.ExtendedControls" Namespace="CMS.ExtendedControls" TagPrefix="cc1" %>
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Page template - Layouts</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height:100%; 
        }
    </style>
</head>
<body class="<%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel runat="server" ID="pnlBody" SkinID="TabsPageBody">
            <asp:Panel runat="server" ID="pnlScroll" SkinID="TabsPageScrollArea">
                <asp:Panel runat="server" ID="pnlTab" SkinID="TabsPageContent">
                    <asp:Panel runat="server" ID="pnlInfo" SkinID="PageContent" Visible="false">
                        <asp:Label runat="server" ID="lblVirtualInfo" SkinID="Information" EnableViewState="false" />
                    </asp:Panel>
                    <asp:PlaceHolder ID="plcLayout" runat="server">
                        <asp:Label runat="server" ID="lblAspxInfo" SkinID="Information" EnableViewState="false"
                            Visible="false" />
                        <asp:Panel ID="pnlMenu" runat="server" SkinID="ContentEditMenu">
                            <table>
                                <tr>
                                    <td>
                                        <asp:LinkButton ID="btnSave" runat="server" OnClick="btnSave_Click" CssClass="MenuItemEdit">
                                            <asp:Image ID="imgSave" runat="server" />
                                            <%=mSave%>
                                        </asp:LinkButton>
                                    </td>
                                    <asp:PlaceHolder ID="plcCheck" runat="server">
                                        <asp:PlaceHolder ID="plcCheckOut" runat="server" Visible="false">
                                            <td>
                                                <asp:LinkButton ID="btnCheckOut" runat="server" OnClick="btnCheckOut_Click" CssClass="MenuItemEdit">
                                                    <asp:Image ID="imgCheckOut" runat="server" />
                                                    <%=mCheckOut%>
                                                </asp:LinkButton>
                                            </td>
                                        </asp:PlaceHolder>
                                        <asp:PlaceHolder ID="plcCheckIn" runat="server" Visible="false">
                                            <td>
                                                <asp:LinkButton ID="btnCheckIn" runat="server" OnClick="btnCheckIn_Click" CssClass="MenuItemEdit">
                                                    <asp:Image ID="imgCheckIn" runat="server" />
                                                    <%=mCheckIn%>
                                                </asp:LinkButton>
                                            </td>
                                        </asp:PlaceHolder>
                                        <asp:PlaceHolder ID="plcUndoCheckOut" runat="server" Visible="false">
                                            <td>
                                                <asp:LinkButton ID="btnUndoCheckOut" runat="server" OnClick="btnUndoCheckOut_Click"
                                                    CssClass="MenuItemEdit">
                                                    <asp:Image ID="imgUndoCheckOut" runat="server" />
                                                    <%=mUndoCheckOut%>
                                                </asp:LinkButton>
                                            </td>
                                        </asp:PlaceHolder>
                                    </asp:PlaceHolder>
                                </tr>
                            </table>
                        </asp:Panel>
                        <asp:Panel ID="pnlCheckOutInfo" runat="server" SkinID="PageHeaderLine" Visible="false">
                            <asp:Label runat="server" ID="lblCheckOutInfo" />
                        </asp:Panel>
                        <asp:Panel ID="pnlCustomBody" runat="Server" SkinID="PageContent">
                            <asp:Label runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false"
                                Visible="false" />
                            <asp:Label runat="server" ID="lblError" SkinID="ErrorLabel" EnableViewState="false"
                                Visible="false" />
                            <table cellpadding="0" cellspacing="0" style="width: 100%;">
                                <tr>
                                    <td style="height: 20px">
                                        <asp:RadioButton runat="server" ID="radShared" GroupName="LayoutGroup" AutoPostBack="True"
                                            OnCheckedChanged="radShared_CheckedChanged" />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:DropDownList runat="server" ID="drpShared" SkinID="DropDownField" AutoPostBack="True"
                                            OnSelectedIndexChanged="drpShared_SelectedIndexChanged" />
                                        <br />
                                        <br />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:RadioButton runat="server" ID="radCustom" GroupName="LayoutGroup" AutoPostBack="True"
                                            OnCheckedChanged="radShared_CheckedChanged" />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <cc1:ExtendedTextArea ID="txtCustom" runat="server" CssClass="TextAreaCode" TextMode="MultiLine"
                                            Width="100%" /><br />
                                    </td>
                                </tr>
                            </table>
                        </asp:Panel>
                    </asp:PlaceHolder>
                </asp:Panel>
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
