<%@ Page Language="C#" AutoEventWireup="true" CodeFile="PathSelection.aspx.cs" Inherits="CMSWebParts_Designers_PathSelection"
    Theme="Default" %>

<%@ Register Src="../../CMSDesk/Content/ContentTree.ascx" TagName="ContentTree" TagPrefix="uc2" %>
<%@ Register Assembly="CMS.ExtendedControls" Namespace="CMS.ExtendedControls" TagPrefix="cc1" %>
<%@ Register Src="../../CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Path Selection</title>
    <base target="_self" />
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height: 100%;
        }
    </style>

    <script language="javascript" type="text/javascript">
    <!--
       var wopener = window.dialogArguments;
       if ( wopener == null )
       {
            wopener = opener;
       }
    -->
    </script>

</head>
<body class="TreeBody">
    <form id="form1" runat="server">
        <asp:Panel runat="server" ID="pnlBody" SkinID="SelectionPageBody">
            <asp:Panel runat="server" ID="pnlTitle" SkinID="PageHeader">
                <uc1:PageTitle ID="PageTitle" runat="server" />
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlContent" SkinID="SelectionPageContent">

                <asp:Panel runat="server" ID="pnlTree" SkinID="ContentTree">
                <div style=" overflow:auto; height: 350px;">
                    <uc2:ContentTree ID="treeSelectPath" runat="server" MaxTreeNodes="1000" />
                </div>
                </asp:Panel>
                
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlFooter" SkinID="PageFooterLine">
                <table cellpadding="3" cellspacing="0" border="0">
                    <tr>
                        <td>
                            <asp:Label ID="lblSelectPah" runat="server" EnableViewState="false"></asp:Label></td>
                        <td>
                            <asp:TextBox ID="txtSelectPath" runat="server" SkinID="textboxfield" ReadOnly="true"></asp:TextBox></td>
                    </tr>
                    <tr>
                        <td>
                        </td>
                        <td>
                            <asp:CheckBox ID="chkItems" runat="server" SkinID="CheckBoxMovedLeft" TextAlign="Right">
                            </asp:CheckBox></td>
                    </tr>
                    <tr>
                        <td>
                        </td>
                        <td>
                            <asp:Button ID="btnOK" runat="server" SkinID="ContentButton" OnClientClick="return GetAliasPathToParentWindow();" />
                            <asp:Button ID="btnCancel" runat="server" SkinID="ContentButton" OnClientClick="Cancel();" />
                        </td>
                    </tr>
                </table>
            </asp:Panel>
        </asp:Panel>
        <cc1:LocalizedHidden ID="messageNoAliasPathSelected" runat="server" Value="{$PathSelection.NoAliasPathSelected$}" />

        <script type="text/javascript" language="javascript">
        <!--
        
            var aliasPath = "";            
            var aliasPathElem = document.getElementById('txtSelectPath');   
            var includeSubItemsElem = document.getElementById('chkItems');
            var currentNode = document.getElementById('treeSelectedNode');  
            
        
            // Get alias path to parent window textbox
            function GetAliasPathToParentWindow(txtPathClientID) 
            {                
                if (aliasPath != "" )
                {                        
                    if ( wopener.OnSelectAliasPath )
                    {                        
                        wopener.OnSelectAliasPath(aliasPath, txtPathClientID);
                    }                                                                                
	                window.close();
	                return false;
	            }		        
		        else
		        {		            		            
                    alert(document.getElementById('messageNoAliasPathSelected').value);		                        
                    return false;
		        }
            }
        
            
            // Cancel action
            function Cancel()
            {
                window.close();
            }        
                                   
            
            // Selects the given node
            function SelectNode(nodeId, nodeElem)
            {   		    
                if ( (currentNode != null) && (nodeElem != null) )
                {
                    currentNode.className = 'ContentTreeItem';
                }

                GetNodeAliasPath(nodeId);   
                
                // highlights selected node
                if ( nodeElem != null )
                {                
                    currentNode = nodeElem;
                    currentNode.className = 'ContentTreeSelectedItem';                  
                }         
            }        
               
            
            // Callback function, returns node alias path of the specified node
            function ReceiveNodeAliasPath(rValue, context)
            {           
                if ((includeSubItemsElem != null) && (includeSubItemsElem.checked))
                {       
                    if (rValue == "/")         
                    {
                        rValue = "/%"
                    }
                    else
                    {
                        rValue = rValue + "/%";
                    }
                }              
                // set textbox value              
                aliasPathElem.value = rValue;    
                
                // save alias path
                aliasPath = rValue;          
            }   
            
            
            // Called on checkbox checked changed
            function chkItemsChecked_Changed(checked)
            {
                var length = aliasPathElem.value.length;
            
                if (checked)
                {
                    // check last two letters
                    if (aliasPathElem.value == "/")
                    {
                        aliasPathElem.value = "/%";
                    }
                    else if (aliasPathElem.value.substring(length-2, length) != "/%")                    
                    {
                        aliasPathElem.value += "/%";
                    }                       
                }
                else
                {        
                    // check last two letters                                                          
                    if (aliasPathElem.value == "/%")
                    {
                        aliasPathElem.value = "/";
                    }                    
                    else if (aliasPathElem.value.substring(length-2, length) == "/%")                    
                    {
                        aliasPathElem.value = aliasPathElem.value.substring(0, length-2);
                    } 
                }
                
                // save alias path
                aliasPath = aliasPathElem.value;                 
            }
        -->
        </script>

        <asp:Literal ID="ltlAliasPath" runat="server"></asp:Literal>
        <asp:Literal ID="ltlAliasPathToParent" runat="server"></asp:Literal>
    </form>
</body>
</html>
